;
; macro to call base code from an app,
;

rBR_CALL	equ	28h		; NEEDED FOR APPS
BRT_JUMP0	equ	50h

.addinstr BCALL * EF 3 NOP 1
#define B_CALL  BCALL
#define B_JUMP(label) call BRT_JUMP0 \ .dw label

;
;B_CALL macro   label
;	     rst     rBR_CALL
;	     dw      _&label
;       .endm
;B_JUMP macro   label
;	     call    BRT_JUMP0	     ; fixed location on page 0
;	     dw      _&label
;       .endm

;
;       entry points
;
_AbsO1O2Cp	equ 410Eh
_AbsO1PAbsO2	equ 405Ah
_ACos	equ 40DEh
_ACosH	equ 40F0h
_ACosRad	equ 40D2h
_AdrLEle	equ 462Dh
_AdrMEle	equ 4609h
_AdrMRow	equ 4606h
_ALLEQ	equ 4876h
_Angle	equ 4102h
_AnsName	equ 4B52h
_apdsetup	equ 4C93h
_AppGetCalc	equ 4C78h
_AppGetCbl	equ 4C75h
_AppScreenUpDown	equ 4D26h
_AppScreenUpDown1	equ 4D29h
_Arc_Unarc	equ 4FD8h
_ASin	equ 40E4h
_ASinH	equ 40EDh
_ASinRad	equ 40DBh
_ATan	equ 40E1h
_ATan2	equ 40E7h
_ATan2Rad	equ 40D8h
_ATanH	equ 40EAh
_ATanRad	equ 40D5h
_Axes	equ 4BE5h
_BinOPExec	equ 4663h
_bit_vertsplit	equ 4FA8h
_BlinkCell	equ 4DFEh
_BlinkCellNoLookUp	equ 4E01h
_BlinkCellToOff	equ 4E10h
_BlinkCellToOffNoLookUp	equ 4E13h
_BlinkCellToOn	equ 4E07h
_BlinkCellToOnNoLookUp	equ 4E0Ah
_BlinkCurCell	equ 4E04h
_BlinkCurCellToOff	equ 4E16h
_BlinkCurCellToOn	equ 4E0Dh
_BufClr	equ 5074h
_BufCpy	equ 5071h
_BufLeft	equ 4903h
_BufToTop	equ 4927h
_CAbs	equ 4E97h
_CAadd	equ 4E88h
_canalphins	equ 4C69h
_CDiv	equ 4E94h
_CDivByReal	equ 4EBBh
_CellBoxManager	equ 4DE0h
_CellCursorHandle	equ 4DE9h
_CellkHandle	equ 4E28h
_CEtoX	equ 4EA9h
_CFrac	equ 4EC1h
_CheckSplitFlag	equ 49F0h
_Chk_HL_999	equ 42C1h
_ChkFindSym	equ 42F1h
_CIntgr	equ 4EC4h
_CIRCCMD	equ 47D4h
_CkInt	equ 4234h
_CkOdd	equ 4237h
_CkOP1C0	equ 4225h
_CkOP1Cplx	equ 40FCh
_CkOP1FP0	equ 4228h
_CkOP1Pos	equ 4258h
_CkOP1Real	equ 40FFh
_CkOP2FP0	equ 422Bh
_CkOP2Pos	equ 4255h
_CkOP2Real	equ 42DFh
_CkPosInt	equ 4231h
_CkValidNum	equ 4270h
_ClearBlnkCell	equ 4E4Fh
_ClearCell	equ 4D80h
_ClearCurCell	equ 4DF2h
_ClearRect	equ 4D5Ch
_ClearRow	equ 4CEDh
_CLine	equ 4798h
_CLineS	equ 479Bh
_CLN	equ 4EA0h
_CLog	equ 4EA3h
_CloseEditBuf	equ 48D3h
_CloseEditBufNoR	equ 476Eh
_ClrCursorHook	equ 4F69h
_ClrFontHook	equ 4FE7h
_ClrGetKeyHook	equ 4F7Eh
_ClrGraphRef	equ 4A38h
_ClrLCD	equ 4543h
_ClrLCDFull	equ 4540h
_ClrLp	equ 41D1h
_ClrOP1S	equ 425Eh
_ClrOP2S	equ 425Bh
_ClrRawKeyHook	equ 4F6Fh
_ClrScrn	equ 4549h
_ClrScrnFull	equ 4546h
_ClrTxtShd	equ 454Ch
_CMltByReal	equ 4EB8h
_CmpSyms	equ 4A4Ah
_CMult	equ 4E8Eh
_Conj	equ 4EB5h
_ConvDim	equ 4B43h
_ConvDim00	equ 4B46h
_ConvOP1	equ 4AEFh
_COP1Set0	equ 4105h
_Cos	equ 40C0h
_CosH	equ 40CCh
_covercell	equ 4D83h
_covercurcell	equ 4DFBh
_CpHLDE	equ 400Ch
_CPoint	equ 4DC8h
_CPointS	equ 47F5h
_CpOP1OP2	equ 4111h
_CpOP4OP3	equ 4108h
_CPYO1TOFPS1	equ 445Ch
_CPYO1TOFPS2	equ 446Bh
_CPYO1TOFPS3	equ 4477h
_CPYO1TOFPS4	equ 4489h
_CPYO1TOFPS5	equ 4483h
_CPYO1TOFPS6	equ 447Dh
_CPYO1TOFPS7	equ 4480h
_CpyO1ToFpsT	equ 444Ah
_CPYO2TOFPS1	equ 4459h
_CPYO2TOFPS2	equ 4462h
_CPYO2TOFPS3	equ 4474h
_CPYO2TOFPS4	equ 4486h
_CPYO2TOFPST	equ 4444h
_CPYO3TOFPS1	equ 4453h
_CPYO3TOFPS2	equ 4465h
_CPYO3TOFPST	equ 4441h
_CPYO5TOFPS1	equ 4456h
_CPYO5TOFPS3	equ 4471h
_CPYO6TOFPS2	equ 4468h
_CPYO6TOFPST	equ 4447h
_CPYTO1FPS1	equ 4432h
_CPYTO1FPS10	equ 43F3h
_CPYTO1FPS11	equ 43D8h
_CPYTO1FPS2	equ 443Bh
_CPYTO1FPS3	equ 4408h
_CPYTO1FPS4	equ 440Eh
_CPYTO1FPS5	equ 43DEh
_CPYTO1FPS6	equ 43E4h
_CPYTO1FPS7	equ 43EAh
_CPYTO1FPS8	equ 43EDh
_CPYTO1FPS9	equ 43F6h
_CpyTo1FpsT	equ 4423h
_CPYTO2FPS1	equ 442Fh
_CPYTO2FPS2	equ 4438h
_CPYTO2FPS3	equ 4402h
_CPYTO2FPS4	equ 43F9h
_CPYTO2FPS5	equ 43DBh
_CPYTO2FPS6	equ 43E1h
_CPYTO2FPS7	equ 43E7h
_CPYTO2FPS8	equ 43F0h
_CPYTO2FPST	equ 4420h
_CPYTO3FPS1	equ 442Ch
_CPYTO3FPS2	equ 4411h
_CPYTO3FPST	equ 441Dh
_CPYTO4FPST	equ 441Ah
_CPYTO5FPST	equ 4414h
_CPYTO6FPS2	equ 43FFh
_CPYTO6FPS3	equ 43FCh
_CPYTO6FPST	equ 4417h
_CREATE0EQU	equ 432Ah
_createappvar	equ 4E6Ah
_CREATECLIST	equ 431Bh
_CREATECPLX	equ 430Ch
_CREATEEQU	equ 4330h
_createNumEditBuf	equ 4753h
_CREATEPAIR	equ 4B0Dh
_CREATEPICT	equ 4333h
_CREATEPROG	equ 4339h
_createprotprog	equ 4E6Dh
_CREATEREAL	equ 430Fh
_CREATERLIST	equ 4315h
_CREATERMAT	equ 4321h
_CREATESTRNG	equ 4327h
_CREATETCLIST	equ 4318h
_CRecip	equ 4E91h
_CSqRoot	equ 4E9Dh
_CSquare	equ 4E8Bh
_CSub	equ 4E85h
_CTenX	equ 4EA6h
_CTrunc	equ 4EBEh
_Cube	equ 407Bh
_CUMSUM	equ 4654h
_cursorhook	equ 4F57h
_CursorOff	equ 45BEh
_CursorOn	equ 45C4h
_CXrootY	equ 4EACh
_CYtoX	equ 4EB2h
_DARKLINE	equ 47DDh
_DarkPnt	equ 47F2h
_DataSize	equ 436Ch
_DataSizeA	equ 4369h
_DeallocFPS	equ 439Fh
_DeallocFPS1	equ 43A2h
_DecO1Exp	equ 4267h
_DelListEL	equ 4A2Fh
_DelRes	equ 4A20h
_DelVar	equ 4351h
_DelVarArc	equ 4FC6h
_DelVarNoArc	equ 4FC9h
_DisableApd	equ 4C84h
_Disp	equ 4F45h
_DispDone	equ 45B5h
_DispEol	equ 45A6h
_DispHL	equ 4507h
_DisplayImage	equ 4D9Bh
_DispOP1A	equ 4BF7h
_DivHLBy10	equ 400Fh
_DivHLByA	equ 4012h
_drawblnkcell	equ 4E4Ch
_drawcell	equ 4D71h
_DrawCirc2	equ 4C66h
_DRAWCMD	equ 48C1h
_drawcurcell	equ 4DF5h
_drawRectBorder	equ 4D7Dh
_DrawRectBorderClear	equ 4D8Ch
_DToR	equ 4075h
_EnableApd	equ 4C87h
_EnoughMem	equ 42FDh
_EOP1NotReal	equ 4279h
_Equ_or_NewEqu	equ 42C4h
_eraseallcells	equ 4E3Ah
_EraseEOL	equ 4552h
_EraseRectBorder	equ 4D86h
_ErrArgument	equ 44ADh
_ErrBadGuess	equ 44CBh
_ErrBreak	equ 44BFh
_errchkalphabox	equ 4E2Bh
_Errd_OP1_0	equ 42D3h
_Errd_OP1_LE_0	equ 42D0h
_Errd_OP1Not_R	equ 42CAh
_Errd_OP1NotPos	equ 42C7h
_Errd_OP1NotPosInt	equ 42CDh
_ErrDataType	equ 44AAh
_ErrDimension	equ 44B3h
_ErrDimMismatch	equ 44B0h
_ErrDivBy0	equ 4498h
_ErrDomain	equ 449Eh
_ErrIncrement	equ 44A1h
_ErrInvalid	equ 44BCh
_ErrIterations	equ 44C8h
_ErrLinkXmit	equ 44D4h
_ErrMemory	equ 44B9h
_ErrNon_Real	equ 44A4h
_ErrNonReal	equ 4A8Ch
_ErrNotEnoughMem	equ 448Ch
_ErrOverFlow	equ 4495h
_ErrSignChange	equ 44C5h
_ErrSingularMat	equ 449Bh
_ErrStat	equ 44C2h
_ErrStatPlot	equ 44D1h
_ErrSyntax	equ 44A7h
_ErrTolTooSmall	equ 44CEh
_ErrUndefined	equ 44B6h
_EToX	equ 40B4h
_Exch9	equ 43D5h
_ExLp	equ 4222h
_ExMCplxO1	equ 43D2h
_ExpToHex	equ 424Fh
_Factorial	equ 4B85h
_Fillrect	equ 4D62h
_Fillrectpattern	equ 4D89h
_Find_Parse_Formula	equ 4AF2h
_FindSym	equ 42F4h
_FiveExec	equ 467Eh
_FlashToRam	equ 5017h
_FontHook	equ 4003h
_forcecmd	equ 4C90h
_ForceFullScreen	equ 508Fh
_FormDCplx	equ 4996h
_FormEReal	equ 4990h
_FormReal	equ 4999h
_FourExec	equ 467Bh
_FPAdd	equ 4072h
_FPDiv	equ 4099h
_FPMult	equ 4084h
_FPRecip	equ 4096h
_FPSquare	equ 4081h
_FPSub	equ 406Fh
_Frac	equ 4093h
_Get_NumKey	equ 4C96h
_GetBaseVer	equ 4C6Fh
_getcsc	equ 4018h
_GetKey	equ 4972h
_getkeyhook	equ 4F78h
_GetKeyPress	equ 458Eh
_GetLToOP1	equ 4636h
_getmodecellflag	equ 4DDAh
_GETMTOOP1	equ 4615h
_GetTokLen	equ 4591h
_GETVARCMD	equ 4A11h
_GRBUFCLR	equ 4BD0h
_GRBUFCPY	equ 486Ah
_GRPHCIRC	equ 47D7h
_HLTimes9	equ 40F9h
_HORIZCMD	equ 48A6h
_HTimesL	equ 4276h
_ILine	equ 47E0h
_IncLstSize	equ 4A29h
_initalphabox	equ 4E43h
_initcellbox	equ 4D6Eh
_initsmalleditBox	equ 4CDBh
_initsmalleditboxop1	equ 4D38h
_initsmalleditboxvar	equ 4D35h
_initsmalleditline	equ 4CA5h
_initsmalleditlineop1	equ 4D32h
_initsmalleditlinevar	equ 4D2Fh
_InsertList	equ 4A2Ch
_Int	equ 40A5h
_Intgr	equ 405Dh
_INVCMD	equ 48C7h
_invertblnkcell	equ 4E52h
_invertcell	equ 4D77h
_invertcurcell	equ 4DF8h
_Invertrect	equ 4D5Fh
_InvOP1S	equ 408Dh
_InvOP1SC	equ 408Ah
_InvOP2S	equ 4090h
_InvSub	equ 4063h
_IOffset	equ 4C63h
_IPoint	equ 47E3h
_iscurmodecellset	equ 4E3Dh
_isEditEmpty	equ 492Dh
_isEditFull	equ 492Ah
_ismodecellset	equ 4DD7h
_JErrorNo	equ 4000h
_JForceCmd	equ 402Ah
_JForceCmdNoChar	equ 4027h
_jforcegraphkey	equ 5005h
_jforcegraphnokey	equ 5002h
_KeyToString	equ 45CAh
_LINECMD	equ 48ACh
_LnX	equ 40ABh
_Load_SFont	equ 4783h
_LoadAIndPaged	equ 501Dh
_LoadHLIndpaged	equ 501Ah
_LogGamma	equ 4BA0h
_LogX	equ 40AEh
_Max	equ 4057h
_MemChk	equ 42E5h
_memClear	equ 4C30h
_memSet	equ 4C33h
_Min	equ 4054h
_Minus1	equ 406Ch
_Mov10B	equ 415Ch
_Mov18B	equ 47DAh
_Mov7B	equ 4168h
_Mov8B	equ 4165h
_Mov9B	equ 415Fh
_Mov9OP1OP2	equ 417Dh
_Mov9OP2Cp	equ 410Bh
_Mov9ToOP1	equ 417Ah
_Mov9ToOP2	equ 4180h
_MovCplx	equ 4375h
_MovFrOP1	equ 4183h
_NewLine	equ 452Eh
_OneVar	equ 4BA3h
_OP1ExOP2	equ 421Fh
_OP1ExOP3	equ 4219h
_OP1ExOP4	equ 421Ch
_OP1ExOP5	equ 420Dh
_OP1ExOP6	equ 4210h
_OP1ExpToDec	equ 4252h
_OP1Set0	equ 41BFh
_OP1Set1	equ 419Bh
_OP1Set2	equ 41A7h
_OP1Set3	equ 41A1h
_OP1Set4	equ 419Eh
_OP1ToOP2	equ 412Fh
_OP1ToOP3	equ 4123h
_OP1ToOP4	equ 4117h
_OP1ToOP5	equ 4153h
_OP1ToOP6	equ 4150h
_OP2ExOP4	equ 4213h
_OP2ExOP5	equ 4216h
_OP2ExOP6	equ 4207h
_OP2SET0	equ 41BCh
_OP2SET1	equ 41ADh
_OP2SET2	equ 41AAh
_OP2SET3	equ 4198h
_OP2SET4	equ 4195h
_OP2SET5	equ 418Fh
_OP2SET60	equ 4AB0h
_OP2Set8	equ 418Ch
_OP2SetA	equ 4192h
_OP2ToOP1	equ 4156h
_OP2ToOP3	equ 416Eh
_OP2ToOP4	equ 411Ah
_OP2ToOP5	equ 414Ah
_OP2ToOP6	equ 414Dh
_OP3SET0	equ 41B9h
_OP3SET1	equ 4189h
_OP3SET2	equ 41A4h
_OP3TOOP1	equ 413Eh
_OP3TOOP2	equ 4120h
_OP3TOOP4	equ 4114h
_OP3TOOP5	equ 4147h
_OP4SET0	equ 41B6h
_OP4SET1	equ 4186h
_OP4ToOP1	equ 4138h
_OP4ToOP2	equ 411Dh
_OP4ToOP3	equ 4171h
_OP4ToOP5	equ 4144h
_OP4ToOP6	equ 4177h
_OP5EXOP6	equ 420Ah
_OP5SET0	equ 41B3h
_OP5ToOP1	equ 413Bh
_OP5ToOP2	equ 4126h
_OP5ToOP3	equ 4174h
_OP5ToOP4	equ 412Ch
_OP5ToOP6	equ 4129h
_OP6ToOP1	equ 4135h
_OP6ToOP2	equ 4132h
_OP6ToOP5	equ 4141h
_PagedGet	equ 5023h
_ParseInp	equ 4A9Bh
_PDspGrph	equ 48A3h
_PIXELCMD	equ 48B8h
_PixelTest	equ 48B5h
_PLOTPARS	equ 4A98h
_Plus1	equ 4069h
_POINTCMD	equ 48B2h
_PointOn	equ 4C39h
_PopOP1	equ 437Eh
_PopOP3	equ 437Bh
_PopOP5	equ 4378h
_PopReal	equ 4393h
_PopRealO1	equ 4390h
_PopRealO2	equ 438Dh
_PopRealO3	equ 438Ah
_PopRealO4	equ 4387h
_PopRealO5	equ 4384h
_PopRealO6	equ 4381h
_PosNo0Int	equ 422Eh
_PtoR	equ 40F3h
_PushOP1	equ 43C9h
_PushOP3	equ 43C3h
_PushOP5	equ 43C0h
_PushReal	equ 43BDh
_PushRealO1	equ 43BAh
_PushRealO2	equ 43B7h
_PushRealO3	equ 43B4h
_PushRealO4	equ 43B1h
_PushRealO5	equ 43AEh
_PushRealO6	equ 43ABh
_PutAns	equ 4BF4h
_PutAway	equ 403Ch
_PutC	equ 4504h
_PutMap	equ 4501h
_PutPS	equ 4510h
_PutS	equ 450Ah
_PutTokString	equ 4960h
_PutToL	equ 4645h
_PutToMat	equ 461Eh
_PUTXY	equ 489Dh
_RandInit	equ 4B7Fh
_Random	equ 4B79h
_RclAns	equ 4AD7h
_RclGDB2	equ 47D1h
_RclSysTok	equ 4AE6h
_RclVarSym	equ 4AE3h
_RclX	equ 4AE0h
_RclY	equ 4ADAh
_RedimMat	equ 4A26h
_REGRAPH	equ 488Eh
_ReleaseSedit	equ 4CA2h
_resetmodecellflag	equ 4DD4h
_RName	equ 427Fh
_RndGuard	equ 409Fh
_RnFx	equ 40A2h
_Round	equ 40A8h
_RToD	equ 4078h
_RToP	equ 40F6h
_runIndicOff	equ 4570h
_runIndicOn	equ 456Dh
_SCREENUP	equ 4A5Fh
_ScreenUpDown	equ 4A62h
_SendAByte	equ 4EE5h
_SetAllPlots	equ 4FCCh
_setcelloverride	equ 4D7Ah
_setcursorhook	equ 4F60h
_setFontHook	equ 4FE4h
_SETFUNCM	equ 4840h
_setgetkeyhook	equ 4F7Bh
_SetIgnoreKey	equ 4C7Eh
_setmodecellflag	equ 4DD1h
_SETNORM_VALS	equ 49FCh
_SETPARM	equ 4849h
_SETPOLM	equ 4846h
_setrawkeyhook	equ 4F66h
_SetSendThisKeyBack	equ 4C81h
_SETSEQM	equ 4843h
_settblgraphdraw	equ 4C00h
_SetupPagedPtr	equ 5020h
_SetXUp	equ 42B5h
_SetXXOP1	equ 478Ch
_SetXXOP2	equ 478Fh
_SetXXXXOP2	equ 4792h
_SetYUp	equ 42B2h
_SFont_Len	equ 4786h
_SGetTokString	equ 4CAEh
_Sin	equ 40BDh
_SinCosRad	equ 40BAh
_SinH	equ 40CFh
_SinHCosH	equ 40C6h
_SqRoot	equ 409Ch
_sstringlength	equ 4CB4h
_startnewcell	equ 4DE3h
_startsmalledit	equ 4CA8h
_startsmalleditreturn	equ 4E1Fh
_STLSTVECEL	equ 4AECh
_StMatEl	equ 4AE9h
_StoAns	equ 4ABFh
_StoGDB2	equ 47CEh
_StoN	equ 4ACBh
_StoOther	equ 4AD4h
_StoR	equ 4AC5h
_StoRand	equ 4B7Ch
_StoSysTok	equ 4ABCh
_StoT	equ 4ACEh
_StoTheta	equ 4AC2h
_StoX	equ 4AD1h
_StoY	equ 4AC8h
_StrLength	equ 4C3Fh   
_StrCopy	equ 44E3h
_Tan	equ 40C3h
_TanH	equ 40C9h
_TANLNF	equ 48BBh
_TenX	equ 40B7h
_ThetaName	equ 427Ch
_ThreeExec	equ 4675h
_Times2	equ 4066h
_TimesPt5	equ 407Eh
_TName	equ 428Eh
_ToFrac	equ 4657h
_TokToKey	equ 4A0Bh
_Trunc	equ 4060h
_UCLINES	equ 4795h
_UNLINECMD	equ 48AFh
_UnOPExec	equ 4672h
_VERTCMD	equ 48A9h
_VPutMap	equ 455Eh
_VPutS	equ 4561h
_VPutSN	equ 4564h
_XName	equ 4288h
_XRootY	equ 479Eh
_YName	equ 428Bh
_YToX	equ 47A1h
_Zero16D	equ 41B0h
_ZeroOP	equ 41CEh
_ZeroOP1	equ 41C5h
_ZeroOP2	equ 41C8h
_ZeroOP3	equ 41CBh
_ZmDecMl	equ 484Fh
_ZMFIT	equ 485Bh
_ZMINT	equ 484Ch
_ZMPREV	equ 4852h
_ZMSQUARE	equ 485Eh
_ZMSTATS	equ 47A4h
_ZMTRIG	equ 4861h
_ZMUSR	equ 4855h
_ZooDefault	equ 4867h
;
;       ram equates
;

_RAMStart             equ  8000h
_appData              equ  8000h
_Ramcode              equ  8100h
_ramCodeEnd           equ  822Fh
_BaseAppBrTab         equ  8230h
_bootTemp             equ  8251h
_tempSwaparea         equ  82A5h
_appID                equ  838Dh
_RamReturnData        equ  83EDh
_ARCINFO              equ  83EEh
_SAVEDARCINFO         equ  8406h
_appinfo              equ  8432h
_appBank_jump         equ  843Ch
_appPage              equ  843Eh
_kbdScanCode          equ  843Fh
_KBDKEY               equ  8444h
_kbdGetKy             equ  8445h
_KEYEXTEND            equ  8446h
_contrast             equ  8447h
_APDSubTimer          equ  8448h
_APDTimer             equ  8449h
_curTime              equ  844Ah
_curRow               equ  844Bh
_curCol               equ  844Ch
_curOffset            equ  844Dh
_curUnder             equ  844Eh
_CURY                 equ  844Fh
_CURTYPE              equ  8450h
_CURXROW              equ  8451h
_PREVDDATA            equ  8452h
_LFONT_RECORD         equ  845Ah
_SFONT_RECORD         equ  8462h
_tokVarPtr            equ  846Ah
_toklen               equ  846Ch
_indicMem             equ  846Eh
_indicCounter         equ  8476h
_indicBusy            equ  8477h
_OP1                  equ  8478h
_OP1M                 equ  847Ah
_OP2                  equ  8483h
_OP2M                 equ  8485h
_OP2EXT               equ  848Ch
_OP3                  equ  848Eh
_OP3M                 equ  8490h
_OP4                  equ  8499h
_OP4M                 equ  849Bh
_OP5                  equ  84A4h
_OP5M                 equ  84A6h
_OP6                  equ  84AFh
_OP6M                 equ  84B1h
_OP6EXT               equ  84B8h
_PROGTOEDIT           equ  84BFh
_NAMEBUFF             equ  84C7h
_equ_edit_save        equ  84D2h
_IMATHPTR1            equ  84D3h
_IMATHPTR2            equ  84D5h
_IMATHPTR3            equ  84D7h
_IMATHPTR4            equ  84D9h
_IMATHPTR5            equ  84DBh
_CHKDELPTR1           equ  84DDh
_CHKDELPTR2           equ  84DFh
_INSDELPTR            equ  84E1h
_UPDOWNPTR            equ  84E3h
_FOUTDAT              equ  84E5h
_asm_data_ptr1        equ  84EBh
_asm_data_ptr2        equ  84EDh
_asm_sym_ptr1         equ  84EFh
_asm_sym_ptr2         equ  84F1h
_asm_ram              equ  84F3h
_asm_ind_call         equ  8507h
_textShadow           equ  8508h
_textShadCur          equ  8588h
_textShadTop          equ  858Ah
_textShadAlph         equ  858Bh
_textShadIns          equ  858Ch
_cxMain               equ  858Dh
_cxPPutAway           equ  858Fh
_cxPutAway            equ  8591h
_cxRedisp             equ  8593h
_cxErrorEP            equ  8595h
_cxSizeWind           equ  8597h
_CXPAGE               equ  8599h
_CXCURAPP             equ  859Ah
_cxPrev               equ  859Bh
_monQH                equ  85AAh
_monQT                equ  85ABh
_monQueue             equ  85ACh
_onSP                 equ  85BCh
_promptRow            equ  85C0h
_promptCol            equ  85C1h
_promptIns            equ  85C2h
_promptShift          equ  85C3h
_promptRet            equ  85C4h
_promptValid          equ  85C6h
_promptTop            equ  85C8h
_promptCursor         equ  85CAh
_promptTail           equ  85CCh
_promptBtm            equ  85CEh
_varType              equ  85D0h
_varCurrent           equ  85D1h
_varClass             equ  85D9h
_menuActive           equ  85DCh
_menuAppDepth         equ  85DDh
_MenuCurrent          equ  85DEh
_ProgCurrent          equ  85E8h
_userMenuSA           equ  85FEh
_ioPrompt             equ  865Fh
_Dimagewidth          equ  8660h
_IOFLAG               equ  8670h
_SNDRECSTATE          equ  8672h
_IOERRSTATE           equ  8673h
_HEADER               equ  8674h
_IODATA               equ  867Dh
_IONEWDATA            equ  8689h
_BAKHEADER            equ  868Bh
_penCol               equ  86D7h
_penRow               equ  86D8h
_rclQueue             equ  86D9h
_rclqueueend          equ  86DBh
_ERRNO                equ  86DDh
_errSP                equ  86DEh
_errOffset            equ  86E0h
_SaveSScreen          equ  86ECh
_BSTCounter           equ  89EEh
_Flags                equ  89F0h
_STATVARS             equ  8A3Ah
_ANOVAF_VARS          equ  8C17h
_INFVARS              equ  8C4Dh
_curGStyle            equ  8D17h
_curGY                equ  8D18h
_curGX                equ  8D19h
_curGY2               equ  8D1Ah
_curGX2               equ  8D1Bh
_FREESAVEY            equ  8D1Ch
_FREESAVEX            equ  8D1Dh
_XOFFSET              equ  8DA1h
_YOFFSET              equ  8DA2h
_LCDTALLP             equ  8DA3h
_PIXWIDEP             equ  8DA4h
_PIXWIDE_M_1          equ  8DA5h
_PIXWIDE_M_2          equ  8DA6h
_LastEntryPTR         equ  8DA7h
_LASTENTRYSTK         equ  8DA9h
_NUMLASTENTRIES       equ  8E29h
_CURRLASTENTRY        equ  8E2Ah
_CURINC               equ  8E67h
_UXMIN                equ  8E7Eh
_UXMAX                equ  8E87h
_UXSCL                equ  8E90h
_UYMIN                equ  8E99h
_UYMAX                equ  8EA2h
_UYSCL                equ  8EABh
_UTHETMIN             equ  8EB4h
_UTHETMAX             equ  8EBDh
_UTHETSTEP            equ  8EC6h
_UTMIN                equ  8ECFh
_UTMAX                equ  8ED8h
_UTSTEP               equ  8EE1h
_UPLOTSTART           equ  8EEAh
_UNMAX                equ  8EF3h
_UU0                  equ  8EFCh
_UV0                  equ  8F05h
_UNMIN                equ  8F0Eh
_UU02                 equ  8F17h
_UV02                 equ  8F20h
_UW0                  equ  8F29h
_UPLOTSTEP            equ  8F32h
_UXRES                equ  8F3Bh
_UW02                 equ  8F44h
_XMIN                 equ  8F50h
_XMAX                 equ  8F59h
_XSCL                 equ  8F62h
_YMIN                 equ  8F6Bh
_YMAX                 equ  8F74h
_YSCL                 equ  8F7Dh
_THETAMIN             equ  8F86h
_THETAMAX             equ  8F8Fh
_THETASTEP            equ  8F98h
_TMINPAR              equ  8FA1h
_TMAXPAR              equ  8FAAh
_TSTEP                equ  8FB3h
_PLOTSTART            equ  8FBCh
_NMAX                 equ  8FC5h
_U0                   equ  8FCEh
_V0                   equ  8FD7h
_NMIN                 equ  8FE0h
_U02                  equ  8FE9h
_V02                  equ  8FF2h
_W0                   equ  8FFBh
_PLOTSTEP             equ  9004h
_XRESO                equ  900Dh
_W02                  equ  9016h
_UN1                  equ  901Fh
_UN2                  equ  9028h
_VN1                  equ  9031h
_VN2                  equ  903Ah
_WN1                  equ  9043h
_WN2                  equ  904Ch
_FIN_N                equ  9055h
_FIN_I                equ  905Eh
_FIN_PV               equ  9067h
_FIN_PMT              equ  9070h
_FIN_FV               equ  9079h
_FIN_PY               equ  9082h
_FIN_CY               equ  908Bh
_CAL_N                equ  9094h
_CAL_I                equ  909Dh
_CAL_PV               equ  90A6h
_CAL_PMT              equ  90AFh
_CAL_FV               equ  90B8h
_CAL_PY               equ  90C1h
_SmallEditRam         equ  90D3h
_XFACT                equ  913Fh
_YFACT                equ  9148h
_XRES_INT             equ  9151h
_DELTAX               equ  9152h
_DELTAY               equ  915Bh
_SHORTX               equ  9164h
_SHORTY               equ  916Dh
_LOWER                equ  9176h
_UPPER                equ  917Fh
_XOUTSYM              equ  918Ch
_XOUTDAT              equ  918Eh
_YOUTSYM              equ  9190h
_YOUTDAT              equ  9192h
_INPUTSYM             equ  9194h
_INPUTDAT             equ  9196h
_PREVDATA             equ  9198h
_TblMin               equ  92B3h
_TblStep              equ  92BCh
_plotSScreen          equ  9340h
_SEED1                equ  9640h
_SEED2                equ  9649h
_cmdShadow            equ  966Eh
_cmdShadCur           equ  96EEh
_cmdShadAlph          equ  96F0h
_cmdShadIns           equ  96F1h
_cmdCursor            equ  96F2h
_editTop              equ  96F4h
_editCursor           equ  96F6h
_editTail             equ  96F8h
_editBtm              equ  96FAh
_editSym              equ  9706h
_editDat              equ  9708h
_winTop               equ  97A5h
_winBtm               equ  97A6h
_winLeftEdge          equ  97A7h
_winLeft              equ  97A8h
_winAbove             equ  97AAh
_winRow               equ  97ACh
_winCol               equ  97AEh
_fmtDigits            equ  97B0h
_fmtString            equ  97B1h
_fmtConv              equ  97F2h
_fmtLeft              equ  9804h
_fmtIndex             equ  9806h
_fmtMatSym            equ  9808h
_fmtMatMem            equ  980Ah
_EQS                  equ  980Ch
_TSYMPTR1             equ  9818h
_TSYMPTR2             equ  981Ah
_CHKDELPTR3           equ  981Ch
_CHKDELPTR4           equ  981Eh
_TempMem              equ  9820h
_FPBase               equ  9822h
_FPS                  equ  9824h
_OPBase               equ  9826h
_OPS                  equ  9828h
_PTempCnt             equ  982Ah
_CLEANTMP             equ  982Ch
_PTemp                equ  982Eh
_PROGPTR              equ  9830h
_NEWDATAPTR           equ  9832h
_pagedCount           equ  9834h
_pagedPN              equ  9835h
_pagedGetPtr          equ  9836h
_pagedPutPtr          equ  9838h
_pagedBuf             equ  983Ah
_AppErr1              equ  984Dh
_AppErr2              equ  985Ah
_FlashByte1           equ  9867h
_FlashByte2           equ  9868h
_FreeArcBlock         equ  9869h
_ArcPage              equ  986Bh
_ArcPtr               equ  986Ch
_appRawKeyHandle      equ  9870h
_appBackUpScreen      equ  9872h
_customheight         equ  9B72h
_LocalLanguage        equ  9B73h
_CursorHookPtr        equ  9B7Ch
_RawKeyHookPtr        equ  9B84h
_GetKeyHookPtr        equ  9B88h
_FontHookPtr          equ  9B9Ch
_RestartClr           equ  9BD0h
_LocalTokStr          equ  9D65h
_KeyForStr            equ  9D76h
_KeyToStrRam          equ  9D77h
_SedMonSp             equ  9D88h
_BPsave               equ  9D8Ah
_UserMem              equ  9D95h
_SymTable             equ  0FE66hh
;
; error handler equates/macros
;
APP_PUSH_ERRORH equ	59h
APP_POP_ERRORH	equ	5Ch
;
;AppOnErr   macro   handaddr
;	ld	hl,handaddr		;hl -> stack handler address
;	call	APP_PUSH_ERRORH 	;establish error handler context
;	.endm
;
;AppOffErr  macro
;	call	APP_POP_ERRORH		;remove error handler context
;	.endm
;
; flags
;

trigFlags	equ	0		;Trigonometry mode settings
trigDeg 	equ	  2		; 1=degrees, 0=radians

kbdFlags	equ	0		;Keyboard scan
kbdSCR		equ	  3		; 1=scan code ready
kbdKeyPress	equ	  4		; 1=key has been pressed

DoneFlags	equ	0		;display "Done"
DonePrgm	equ	  5		; 1=display "Done" after prgm

editFlags	equ     1

editOpen	equ	  2		; 1=edit buffer is open

monFlags	equ	1		;monitor flags
monAbandon	equ	  4		; 1=don't start any long process in put away (#715)

plotFlags	equ	2		;plot generation flags
plotLoc 	equ	  1		; 0=bkup & display, 1=display only
plotDisp	equ	  2		; 1=plot is in display, 0=text in display


grfModeFlags	equ	2		;graph mode settings
grfFuncM	equ	  4		; 1=function graph
grfPolarM	equ	  5		; 1=polar graph
grfParamM	equ	  6		; 1=parametric graph
grfRECURM       equ       7             ; 1=RECURSION graph

graphFlags	equ	3
graphDraw	equ	  0		; 0=graph is valid, 1=redraw graph



grfDBFlags	equ	4
grfDot		equ	  0		; 0=line, 1=dot
grfSimul	equ	  1		; 0=sequential, 1=simultaneous
grfGrid 	equ	  2		; 0=no grid, 1=grid
grfPolar	equ	  3		; 0=rectangular, 1=polar coordinates
grfNoCoord	equ	  4		; 0=display coordinates, 1=off
grfNoAxis	equ	  5		; 0=axis, 1=no axis
grfLabel	equ	  6		; 0=off, 1=axis label

textFlags	equ	5		;Text output flags
textEraseBelow	equ	  1		; 1=erase line below small char
textScrolled	equ	  2		; 1=screen scrolled
textInverse	equ	  3		; 1=display inverse bit-map
textInsMode	equ	  4		; 0=overstrike, 1=insert mode


PARSFLAG2	equ	7		;PARSER FLAGS
NUMOP1		equ	  0		; 1=RESULT IN OP1, 0=NO RESULT

NEWDISPF        equ     8               ;Derivative mode flags
PRECLRFORMODE   equ       0             ; 1=HELP BLINK ON MODE SCREEN

APDFlags	equ	8		;Automatic power-down
APDAble 	equ	  2		; 1=APD enabled
APDRunning	equ	  3		; 1=APD clock running

web_err_mask    equ       60h

onFlags 	equ	9		;on key flags
onInterrupt	equ	  4		; 1=on key interrupt request

statFlags	equ	9		;statistics flags
statsValid	equ	  6		; 1=stats are valid

fmtFlags	equ	10		;numeric format flags
fmtExponent	equ	  0		; 1=show exponent, 0=no exponent
fmtEng		equ	  1		; 1=engineering notion, 0=scientific
fmtHex		equ	  2		; 1=hexadecimal
fmtOct		equ	  3		; 1=octal
fmtBin		equ	  4		; 1=binary
;
NUMMODE         EQU       10
FMTREAL         EQU       5
FMTRECT         EQU       6
FMTPOLAR        EQU       7

REALMODE        EQU       5
RECTMODE        EQU       6
POLARMODE       EQU       7
;					;   if Hex and Oct both = 1
;					;   then Bin=0 means >Frac
;					;	 Bin=1 means >DMS
fmtBaseMask     equ         00011100B   ; mask to base flags
fmtBaseShift    equ         2           ; offset to base flags
;
;       CHECK IF THESE ARE USED BY NUMFORM,
;
;                equ       6
;               equ       7

fmtOverride	equ	11		;copy of fmtFlags with conversion override

fmtEditFlags	equ	12		;numeric editing flags
fmtEdit 	equ	  0		; 1=format number for editing

curFlags	equ	12		;Cursor
curAble 	equ	  2		; 1=cursor flash is enabled
curOn		equ	  3		; 1=cursor is showing
curLock 	equ	  4		; 1=cursor is locked off

appFlags	equ	13		;application flags
appWantIntrpt	equ	  0		; 1=want ON key interrupts
appTextSave	equ	  1		; 1=save characters in textShadow
appAutoScroll	equ	  2		; 1=auto-scroll text on last line
appMenus	equ	  3		; 1=process keys that bring up menus
					; 0=check Lock menu flag
appLockMenus	equ	  4		; 1=ignore menu keys
					; 0=switch to home screen and bring up menu
appCurGraphic	equ	  5		; 1=graphic cursor
appCurWord	equ	  6		; 1=text cursor covers entire word
appExit 	equ	  7		; 1=application handles [EXIT] key itself

appWantIntrptF	equ	1<<appWantIntrpt
appTextSaveF	equ	1<<appTextSave
appAutoScrollF	equ	1<<appAutoScroll
appMenusF	equ	1<<appMenus
appLockMenusF	equ	1<<appLockMenus
appCurGraphicF	equ	1<<appCurGraphic
appCurWordF	equ	1<<appCurWord
appExitF	equ	1<<appExit


SEQFLAGS        equ     15              ; SEQUENTIAL GRAPH FLAGS
WEBMODE         EQU       0             ; 0 = NORMAL SEQ MODE, 1 = WEB MODE
WEBVERT         EQU       1             ;
SEQUV           EQU       2             ; U vs V
SEQVW           EQU       3             ; V vs W
SEQUW           EQU       4             ; U vs W


promptFlags	equ	17		;prompt line flags
promptEdit	equ	  0		; 1=editing in prompt buffer

menuFlags	equ	17		;menu system flags
menuNames       equ       5             ; 1=program names menu.

indicFlags	equ	18		;Indicator flags
indicRun	equ	  0		; 1=run indicator ON
indicInUse	equ	  1		; indicator save area in use=1, free=0
indicOnly	equ	  2		; interrupt handler only checks run indicator

shiftFlags	equ	18		;[2nd] and [ALPHA] flags
shift2nd	equ	  3		; 1=[2nd] has been pressed
shiftAlpha	equ	  4		; 1=[ALPHA] has been pressed
shiftLwrAlph	equ	  5		; 1=lower case, 0=upper case
shiftALock	equ	  6		; 1=alpha lock has been pressed
shiftKeepAlph	equ	  7		; 1=cannot cancel alpha shift


tblFlags        equ     19              ;table flags.
AutoFill        equ       4             ; 1=prompt, 0=fillAuto
AutoCalc        equ       5             ; 1=prompt, 0=CalcAuto
ReTable         equ       6             ; 0=table is ok, 1=must recompute table.

SGRFLAGS EQU 20
grfSplit        equ       0             ; 1=Split Graph, 0=Normal
VertSplit       equ       1             ; 1=Vertical (left-right) Split
grfSChanged     equ       2             ; 1=Graph just changed Split <-> normal
grfsplitoverride equ      3             ; 1 = ignore graph split flag if set
WRITE_ON_GRAPH  EQU       4     ; 1 = TEXT OR EQU WRITING TO GRAPH SCREEN
G_STYLE_ACTIVE  EQU       5     ; 1 = GRAPH STYLES ARE ENABLED, USE THEM
CMP_MOD_BOX     equ       6     ; 1 = DOING MOD BOX PLOT COMPUTATION
textwrite       equ       7
;

NEWINDICFLAGS   equ     21
extraIndic      equ       0
saindic         equ       1

SMARTFLAGS      EQU       23
;
; fix these equates if smartfalgs are moved
;
smarter_mask    equ       3
smarter_test    equ       1
SMARTGRAPH      EQU       0
SMARTGRAPH_INV  EQU       1

CPLXFLG         EQU       30
FROM_EXEC       EQU       3           ; 1 = FUNCTION ORIGINATED FROM EXECUTOR

ASM_FLAG1       EQU       33          ; ASM CODING
ASM_FLAG2       EQU       34          ; ASM CODING
ASM_FLAG3       EQU       35          ; ASM CODING

GetSendFlg	equ	 36
ComFailed	equ	  1	      ; 1 = Get/Send Communication Failed

appLwrCaseFlag  equ      36
LwrCaseActive   equ       3

xapFlag0        equ     46      ; external app flags
xapFlag1        equ     47
xapFlag2        equ     48
xapFlag3        equ     49

fontFlags       equ        50
fracDrawLFont	equ	   2
fracTallLFont	equ	   3
CustomFont      equ       7
;
; character font equates
;
;Lbinary	equ	001h
;Loctal	equ	002h
;Ldecimal	equ	003h
;Lhexadecimal	equ	004h
LRECURN         equ     001h
LrecurU equ	002h
LrecurV equ	003h
LrecurW	equ	004h
Lconvert	equ	005h
LsqUp	equ	006h
LsqDown	equ	007h
Lintegral	equ	008h
Lcross	equ	009h
LBOXICON equ     00Ah
LCROSSICON  equ     00Bh
LDOTICON equ     00Ch
LsubT   equ     00Dh                    ;small capital T for parametric mode.
LcubeR  equ     00Eh                    ;slightly different 3 for cubed root.
LhexF	equ	00Fh
Lroot	equ	010h
Linverse	equ	011h
Lsquare	equ	012h
Langle	equ	013h
Ldegree	equ	014h
Lradian	equ	015h
Ltranspose	equ	016h
LLE	equ	017h
LNE	equ	018h
LGE	equ	019h
Lneg	equ	01Ah
Lexponent	equ	01Bh
Lstore	equ	01Ch
Lten	equ	01Dh
LupArrow	equ	01Eh
LdownArrow	equ	01Fh
Lspace	equ	020h
Lexclam	equ	021h
Lquote	equ	022h
Lpound	equ	023h
LFOURTH equ     024h
Lpercent	equ	025h
Lampersand	equ	026h
Lapostrophe	equ	027h
LlParen	equ	028h
LrParen	equ	029h
Lasterisk	equ	02Ah
LplusSign	equ	02Bh
Lcomma	equ	02Ch
Ldash	equ	02Dh
Lperiod	equ	02Eh
Lslash	equ	02Fh
L0	equ	030h
L1	equ	031h
L2	equ	032h
L3	equ	033h
L4	equ	034h
L5	equ	035h
L6	equ	036h
L7	equ	037h
L8	equ	038h
L9	equ	039h
Lcolon	equ	03Ah
Lsemicolon	equ	03Bh
LLT	equ	03Ch
LEQ	equ	03Dh
LGT	equ	03Eh
Lquestion	equ	03Fh
LatSign	equ	040h
LcapA	equ	041h
LcapB	equ	042h
LcapC	equ	043h
LcapD	equ	044h
LcapE	equ	045h
LcapF	equ	046h
LcapG	equ	047h
LcapH	equ	048h
LcapI	equ	049h
LcapJ	equ	04Ah
LcapK	equ	04Bh
LcapL	equ	04Ch
LcapM	equ	04Dh
LcapN	equ	04Eh
LcapO	equ	04Fh
LcapP	equ	050h
LcapQ	equ	051h
LcapR	equ	052h
LcapS	equ	053h
LcapT	equ	054h
LcapU	equ	055h
LcapV	equ	056h
LcapW	equ	057h
LcapX	equ	058h
LcapY	equ	059h
LcapZ	equ	05Ah
Ltheta  equ     05Bh
Lbackslash	equ	05Ch
LrBrack	equ	05Dh
Lcaret	equ	05Eh
Lunderscore	equ	05Fh
Lbackquote	equ	060h
La	equ	061h
Lb	equ	062h
Lc	equ	063h
Ld	equ	064h
Le	equ	065h
Lf	equ	066h
Lg	equ	067h
Lh	equ	068h
Li	equ	069h
Lj	equ	06Ah
Lk	equ	06Bh
Ll	equ	06Ch
Lm	equ	06Dh
Ln	equ	06Eh
Lo	equ	06Fh
Lp	equ	070h
Lq	equ	071h
Lr	equ	072h
Ls	equ	073h
Lt	equ	074h
Lu	equ	075h
Lv	equ	076h
Lw	equ	077h
Lx	equ	078h
Ly	equ	079h
Lz	equ	07Ah
LlBrace	equ	07Bh
Lbar	equ	07Ch
LrBrace	equ	07Dh
Ltilde	equ	07Eh
LinvEQ	equ	07Fh
Lsub0	equ	080h
Lsub1	equ	081h
Lsub2	equ	082h
Lsub3	equ	083h
Lsub4	equ	084h
Lsub5	equ	085h
Lsub6	equ	086h
Lsub7	equ	087h
Lsub8	equ	088h
Lsub9	equ	089h
LcapAAcute	equ	08Ah
LcapAGrave	equ	08Bh
LcapACaret	equ	08Ch
LcapADier	equ	08Dh
LaAcute	equ	08Eh
LaGrave	equ	08Fh
LaCaret	equ	090h
LaDier	equ	091h
LcapEAcute	equ	092h
LcapEGrave	equ	093h
LcapECaret	equ	094h
LcapEDier	equ	095h
LeAcute	equ	096h
LeGrave	equ	097h
LeCaret	equ	098h
LeDier	equ	099h
LcapIAcute	equ	09Ah
LcapIGrave	equ	09Bh
LcapICaret	equ	09Ch
LcapIDier	equ	09Dh
LiAcute	equ	09Eh
LiGrave	equ	09Fh
LiCaret	equ	0A0h
LiDier	equ	0A1h
LcapOAcute	equ	0A2h
LcapOGrave	equ	0A3h
LcapOCaret	equ	0A4h
LcapODier	equ	0A5h
LoAcute	equ	0A6h
LoGrave	equ	0A7h
LoCaret	equ	0A8h
LoDier	equ	0A9h
LcapUAcute	equ	0AAh
LcapUGrave	equ	0ABh
LcapUCaret	equ	0ACh
LcapUDier	equ	0ADh
LuAcute	equ	0AEh
LuGrave	equ	0AFh
LuCaret	equ	0B0h
LuDier	equ	0B1h
LcapCCed	equ	0B2h
LcCed	equ	0B3h
LcapNTilde	equ	0B4h
LnTilde	equ	0B5h
Laccent	equ	0B6h
Lgrave	equ	0B7h
Ldieresis	equ	0B8h
LquesDown	equ	0B9h
LexclamDown	equ	0BAh
Lalpha	equ	0BBh
Lbeta	equ	0BCh
Lgamma	equ	0BDh
LcapDelta	equ	0BEh
Ldelta	equ	0BFh
Lepsilon	equ	0C0h
LlBrack equ     0C1h
Llambda	equ	0C2h
Lmu	equ	0C3h
Lpi	equ	0C4h
Lrho	equ	0C5h
LcapSigma	equ	0C6h
Lsigma	equ	0C7h
Ltau	equ	0C8h
Lphi	equ	0C9h
LcapOmega	equ	0CAh
LxMean	equ	0CBh
LyMean	equ	0CCh
LsupX	equ	0CDh
Lellipsis	equ	0CEh
Lleft	equ	0CFh
Lblock	equ	0D0h
Lper	equ	0D1h
Lhyphen	equ	0D2h
Larea	equ	0D3h
Ltemp	equ	0D4h
Lcube	equ	0D5h
Lenter	equ	0D6h
LimagI	equ	0D7h
Lphat	equ	0D8h
Lchi	equ	0D9h
LstatF  equ     0DAh
Llne	equ	0DBh
LlistL	equ	0DCh
LfinanN equ	0DDh
L2_R_PAREN EQU  0DEh
LblockArrow     equ     0DFh
LcurO   equ     0E0h
LcurO2  equ     0E1h
LcurOcapA       equ     0E2h
LcurOa  equ     0E3h
LcurI   equ     0E4h
LcurI2  equ     0E5h
LcurIcapA       equ     0E6h
LcurIa  equ     0E7h
LGline          equ     0E8h    ; = 0
LGthick         equ     0E9h    ; = 1
LGabove         equ     0EAh    ; = 2
LGbelow         equ     0EBh    ; = 3
LGpath          equ     0ECh    ; = 4
LGanimate       equ     0EDh    ; = 5
LGdot           equ     0EEh    ; = 6
LUpBlk          equ     0EFh    ;Up arrow and Block in solver
LDnBlk          equ     0F0h    ;Down arrow and Block in solver
LcurFull        equ     0F1h    ;note: must be last char (putmap checks)
;
; key equates
;
;
;====== Keyboard key names
;
;       KEY PRESSES THAT DO NOT ECHO INTO THE DISPLAY
;       AND ARE NOT APPLICATION OR MENU LOADING KEY PRESSES
;
kRight          equ       001h
kLeft           equ       002h
kUp             equ       003h
kDown           equ       004h
kEnter          equ       005h
kALPHAENTER     EQU       006h
kALPHAUP        EQU       007h
kALPHADOWN      EQU       008h
kClear          equ       009h
kDel            equ       00Ah
kIns            equ       00Bh
kRecall         equ       00Ch
kLastEnt        equ       00Dh
kBOL            equ       00Eh
kEOL            equ       00Fh
;
kSELALL         equ       010h
kUNSELALL       equ       011h
KLtoTI82        EQU       012h
kBACKUP         equ       013h
kRECIEVE        equ       014h
kLNKQUIT        equ       015h
kTRANS          equ       016h
kRENAME         equ       017h
kOVERW          equ       018h
kOMIT           equ       019h
kCONT           equ       01Ah
kSendID         equ       01Bh
kSendSW         equ       01Ch
kYes            equ       01Dh
kNoWay          equ       01Eh
kvSendType      equ       01Fh
kOverWAll       equ       020h
;
;
;kvALL           equ       01Bh
;kvGDB           equ       01Ch
;kvLIST          equ       01Dh
;kvMATRX         equ       01Eh
;kvPIC           equ       01Fh
;kvPRGM          equ       020h
;kvREAL          equ       021h
;kvYVARS         equ       022h
;kvCPLX          EQU       023h
;kvSTRING        EQU       024h
;kvEND           EQU       kvSTRING
kNO             EQU       025h
kKRESET         EQU       026h
kApp            equ       027h
;
KDOUG           EQU       028H
kListflag       equ       029h
;
;       LEAVE 2Ah - 2Dh OPEN FOR EXPANSION
;
MENUSTART       EQU       02Bh
;
;       KEY PRESSES THAT DO NOT ECHO INTO THE DISPLAY
;       AND ARE MENU SWITCHING KEY PRESSES
;
kAreYouSure     equ       02Bh
kAppsMenu       equ       02Ch
kPrgm           equ       02Dh
kZoom           equ       02Eh        ; PULL DOWN
kDraw           equ       02Fh
kSPlot          equ       030h
kStat           equ       031h
KMath           equ       032h
kTest           equ       033h
kChar           equ       034h
kVars           equ       035h
kMem            equ       036h
kMatrix         equ       037h
kDist           equ       038h
kAngle          equ       039h
kLIST           equ       03Ah
KCALC           equ       03Bh
kFIN            EQU       03Ch
;
MENUEND         EQU       kFIN
;
;
;
KCATALOG        EQU       03Eh        ; catalog
KINPUTDONE      EQU       3FH
kOff            equ       KINPUTDONE
;
kQuit           equ       040h
APPSTART        EQU       kQuit

;
;       KEY PRESSES THAT DO NOT ECHO INTO THE DISPLAY
;       AND ARE CONTEXT SWITCHING KEY PRESSES
;
kLinkIO         equ       041h
kMATRIXED       equ       042h
kSTATED         equ       043h
kGrAPH          equ       044h
kMode           equ       045h
kPRGMED         equ       046h        ; PROGRAM EDIT
kPRGMCR         equ       047h        ; PROGRAM CREATE
kWindow         equ       048h        ; RANGE EDITOR
kYequ           equ       049h        ; EQUATION EDITOR
Ktable          equ       04Ah        ; TABLE EDITOR
kTblSet         equ       04Bh        ; TABLE SET
kCHKRAM         equ       04CH        ; CHECK RAM
kDELMEM         equ       04DH        ; DELETE MEM
kRESETMEM       equ       04EH        ; RESET MEM
kRESETDEF	equ	  04FH        ; RESET DEFAULT
kPRGMINPUT      EQU       050H        ; PROGRAM INPUT
kZFACTED        EQU       051H        ; ZOOM FACTOR EDITOR
kERROR          EQU       052H        ; ERROR
kSOLVETVM       EQU       053h        ; TVM SOLVER
kSolveRoot	equ	  054h        ; SOLVE EDITOR
kStatP          equ       055h        ; stat plot
kInfStat 	equ	  056h	      ; Inferential Statistic
kFORMAT         equ       057h        ; FORMAT
kExtApps        equ       058h        ; External Applications.     NEW
kNewApps        equ       059h        ; New Apps for Cerberus.
;
APPEND          EQU       kNewApps
;
;             59h IS  EMPTY FOR GROWTH
;
ECHOSTART1      EQU       05Ah
;
;       CONDITIONAL KEYS THAT IF IN PROG EDIT WILL ECHO
;       OR IF NOT IN PROG EDIT GO TO THE GRAPH SCREEN
;       'TRACE' , 'ZOOMS'
;
;
kTrace          equ       05Ah
kZFIT           EQU       05Bh
kZIN            EQU       05Ch
kZOUT           equ       05Dh
kZPREV          equ       05Eh
kBOX            equ       05Fh
kDECML          equ       060h
kSETZM          equ       061h
kSQUAR          equ       062h
kSTD            equ       063h
kTRIG           equ       064h
kUSRZM          equ       065h
kZsto           equ       066h
kZInt           equ       067h
kZSTAT          EQU       068h
;
;       CONDITIONAL KEYS THAT IF IN PROG EDIT OR IF THE
;       GRAPH SCREEN IS NOT DISPLAYED WILL ECHO, ELSE WILL
;       GO TO THE GRAPH SCREEN. 'DRAW' MENU, eval
ECHOSTART2      EQU       069h
;
;
kSELECT         EQU       069h
kCIRCL          equ       06Ah
kCLDRW          equ       06Bh
kLINE           equ       06Ch
kPEN            equ       06Dh
kPTCHG          equ       06Eh
kPTOFF          equ       06Fh
kPTON           equ       070h
kVERT           equ       071h
kHORIZ          equ       072h
kTEXT           equ       073h
KTANLN          equ       074h
;
;   THESE KEYS WILL ALWAYS FORCE TO GRAPH MODE
;
kEVAL           equ       075h
kINTERS         equ       076h
kDYDX           equ       077h
kFNINTG         equ       078h
kROOTG          equ       079h
kDYDT           equ       07Ah
kDXDT           equ       07Bh
kDRDo           equ       07Ch
KGFMIN          equ       07Dh
KGFMAX          equ       07Eh
;
;
;
;
ECHOSTART       EQU       07Fh
;
;       KEY PRESSES THAT ECHO INTO A BUFFER
;
kLISTNAME       EQU       07Fh
kAdd            equ       080h
kSub            equ       081h
kMul            equ       082h
kDiv            equ       083h
kExpon          equ       084h
kLParen         equ       085h
kRParen         equ       086h
kLBrack         equ       087h
kRBrack         equ       088h
kSHADE          equ       089h
kStore          equ       08Ah
kComma          equ       08Bh
kChs            equ       08Ch
kDecPnt         equ       08Dh
k0              equ       08Eh
k1              equ       08Fh
k2              equ       090h
k3              equ       091h
k4              equ       092h
k5              equ       093h
k6              equ       094h
k7              equ       095h
k8              equ       096h
k9              equ       097h
kEE             equ       098h
kSpace          equ       099h
kCapA           equ       09Ah
kCapB           equ       09Bh
kCapC           equ       09Ch
kCapD           equ       09Dh
kCapE           equ       09Eh
kCapF           equ       09Fh
kCapG           equ       0A0h
kCapH           equ       0A1h
kCapI           equ       0A2h
kCapJ           equ       0A3h
kCapK           equ       0A4h
kCapL           equ       0A5h
kCapM           equ       0A6h
kCapN           equ       0A7h
kCapO           equ       0A8h
kCapP           equ       0A9h
kCapQ           equ       0AAh
kCapR           equ       0ABh
kCapS           equ       0ACh
kCapT           equ       0ADh
kCapU           equ       0AEh
kCapV           equ       0AFh
kCapW           equ       0B0h
kCapX           equ       0B1h
kCapY           equ       0B2h
kCapZ           equ       0B3h
kVarx           equ       0B4h
kPi             equ       0B5h
kInv            equ       0B6h
kSin            equ       0B7h
kASin           equ       0B8h
kCos            equ       0B9h
kACos           equ       0BAh
kTan            equ       0BBh
kATan           equ       0BCh
kSquare         equ       0BDh
kSqrt           equ       0BEh
kLn             equ       0BFh
kExp            equ       0C0h
kLog            equ       0C1h
kALog           equ       0C2h
kToABC          equ       0C3h
;
kCLRTBL         EQU       0C4h
;
KANS            EQU       0C5h
kColon          EQU       0C6h
;
kNDERIV         equ       0C7h
kFNINT          equ       0C8h
kROOT           equ       0C9h
;
kQuest          EQU       0CAh        ; question mark
kQuote          EQU       0CBh        ; "
kTheta          EQU       0CCh
kIF             equ       0CDh
kTHEN           equ       0CEh
kELSE           equ       0CFh
kFOR            equ       0D0h
kWHILE          equ       0D1h
kREPEAT         equ       0D2h
kEND            equ       0D3h
kPAUSE          equ       0D4h
kLBL            equ       0D5h
kGOTO           EQU       0D6h
kISG            EQU       0D7h
kDSL            EQU       0D8h
kMENU           EQU       0D9h
kEXEC           EQU       0DAh
kRETURN         EQU       0DBh
kSTOP           EQU       0DCh
kINPUT          EQU       0DDh
kPROMPT         EQU       0DEh
kDISP           EQU       0DFh
kDISPG          EQU       0E0h
kDISPT          EQU       0E1h
kOUTPUT         EQU       0E2h
kGETKEY         EQU       0E3h
kCLRHOME        EQU       0E4h
kPRTSCR         EQU       0E5h
kSINH           EQU       0E6h
kCOSH           EQU       0E7h
kTANH           EQU       0E8h
kASINH          EQU       0E9h
kACOSH          EQU       0EAh
kATANH          EQU       0EBh
kLBRACE         EQU       0ECh
kRBRACE         EQU       0EDh
Ki              EQU       0EEh
KCONSTeA        EQU       0EFH
KPLOT3          EQU       0F0H
KFMIN           EQU       0F1H
KFMAX           EQU       0F2h
kL1A            EQU       0F3h
kL2A            EQU       0F4h
kL3A            EQU       0F5h
kL4A            EQU       0F6h
kL5A            EQU       0F7h
kL6A            EQU       0F8h
KUnA            EQU       0F9h
KVnA            EQU       0FAh
KWnA            EQU       0FBH

#ifdef 1
;
;       THIS KEY MEANS THAT IT IS A 2 BYTE KEYCODE
;       THERE ARE 2 OF THESE KEYS BE CAREFUL
;
;
kEXTENDECHO2    EQU       0FCh
;
;
;       THIS KEY MEANS THAT THE KEY PRESS IS ONE THAT ECHOS
;       INTO A BUFFER, AND IT IS A 2 BYTE KEY CODE, GO LOOK AT
;       (EXTECHO) FOR THE KEY VALUE
;
kEXTENDECHO     EQU       0FEh
;

kE1BT           EQU       0


kDRAWINV        equ       kE1BT
kDRAWF          equ       kE1BT+1
kPIXELON        equ       kE1BT+2
kPIXELOFF       equ       kE1BT+3
kPXLTEST        equ       kE1BT+4
kRCGDB          equ       kE1BT+5
kRCPIC          equ       kE1BT+6
kSTGDB          equ       kE1BT+7
kSTPIC          equ       kE1BT+8
KABS            equ       kE1BT+9
kTEQU           equ       kE1BT+10    ; ==
kTNOTEQ         equ       kE1BT+11    ; <>
kTGT            equ       kE1BT+12    ; >
kTGTE           equ       kE1BT+13    ; > =
kTLT            equ       kE1BT+14    ; <
kTLTE           equ       kE1BT+15    ; < =

kAND            equ       kE1BT+16
kOR             equ       kE1BT+17
kXOR            equ       kE1BT+18
kNOT            equ       kE1BT+19

kLR1            equ       kE1BT+20

kXROOT          equ       kE1BT+21
kCUBE           equ       kE1BT+22
kCBRT           equ       kE1BT+23    ; CUBE ROOT
kTODEC          equ       kE1BT+24
;
kCUBICR         equ       kE1BT+25
kQUARTR         equ       kE1BT+26
;
kPLOT1          equ       kE1BT+27
kPLOT2          equ       kE1BT+28
;

kROUND          equ       kE1BT+29
kIPART          equ       kE1BT+30
kFPART          equ       kE1BT+31
kINT            equ       kE1BT+32

kRAND           equ       kE1BT+33
kNPR            equ       kE1BT+34
kNCR            equ       kE1BT+35
kXFACTORIAL     equ       kE1BT+36

kRAD            equ       kE1BT+37
kDEGR           equ       kE1BT+38    ; DEGREES CONV
kAPOST          equ       kE1BT+39
kTODMS          equ       kE1BT+40
kRTOPo          equ       kE1BT+41    ; R
kRTOPr          equ       kE1BT+42
kPTORx          equ       kE1BT+43
kPTORy          equ       kE1BT+44

kROWSWAP        equ       kE1BT+45
kROWPLUS        equ       kE1BT+46
kTIMROW         equ       kE1BT+47
kTROWP          equ       kE1BT+48

kSORTA          equ       kE1BT+49
kSORTD          equ       kE1BT+50
kSEQ            equ       kE1BT+51

kMIN            EQU       kE1BT+52
kMAX            EQU       kE1BT+53
kMEAN           EQU       kE1BT+54
kMEDIAN         EQU       kE1BT+55
kSUM            EQU       kE1BT+56
kPROD           EQU       kE1BT+57

kDET            equ       kE1BT+58
kTRANSP         equ       kE1BT+59
kDIM            equ       kE1BT+60    ; SAME AS ONE IN LIST
kFILL           equ       kE1BT+61    ; SAME AS ONE IN LIST
kIDENT          equ       kE1BT+62
kRANDM          equ       kE1BT+63
kAUG            equ       kE1BT+64

kOneVar         equ       kE1BT+65
kTWOVAR         EQU       kE1BT+66
kLR             equ       kE1BT+67
kLRExp          equ       kE1BT+68
kLRLn           equ       kE1BT+69
kLRPwr          equ       kE1BT+70
kMEDMED         EQU       kE1BT+71
kQUAD           EQU       kE1BT+72
kCLRLST         equ       kE1BT+73
kHist           equ       kE1BT+74
kxyLine         equ       kE1BT+75
kScatter        equ       kE1BT+76

kmRad           equ       kE1BT+77
kmDeg           equ       kE1BT+78
kmNormF         equ       kE1BT+79
kmSci           equ       kE1BT+80
kmEng           equ       kE1BT+81
kmFloat         equ       kE1BT+82

kFix            equ       kE1BT+83
kSPLITON        equ       kE1BT+84
kFULLSCREEN     EQU       kE1BT+85
kStndrd         EQU       kE1BT+86
kParam          equ       kE1BT+87
kPolar          EQU       kE1BT+88
kSEQG           equ       kE1BT+89
kAFILLON        equ       kE1BT+90
kAFILLOFF       equ       kE1BT+91
kACALCON        EQU       kE1BT+92
kACALCOFF       equ       kE1BT+93
kFNON           equ       kE1BT+94
kFNOFF          EQU       kE1BT+95

kPLOTSON        EQU       kE1BT+96
kPLOTSOFF       EQU       kE1BT+97

KPIXELCHG       EQU       kE1BT+98


kSENDMBL        EQU       kE1BT+99
kRECVMBL        EQU       kE1BT+100

kBOXPLOT        EQU       kE1BT+101
kBOXICON        EQU       kE1BT+102
kCROSSICON      EQU       kE1BT+103
kDOTICON        EQU       kE1BT+104

kE2BT           EQU       kE1BT+105

kSeqENTIAL      equ       kE2BT
kSimulG         equ       kE2BT+1
kPolarG         equ       kE2BT+2
kRectG          equ       kE2BT+3
kCoordOn        equ       kE2BT+4
kCoordOff       equ       kE2BT+5
kDrawLine       equ       kE2BT+6
kDrawDot        equ       kE2BT+7
kAxisOn         equ       kE2BT+8
kAxisOff        equ       kE2BT+9
kGridOn         equ       kE2BT+10
kGridOff        equ       kE2BT+11
kLblOn          equ       kE2BT+12
kLblOff         equ       kE2BT+13

kL1             EQU       kE2BT+14
kL2             EQU       kE2BT+15
kL3             EQU       kE2BT+16
kL4             EQU       kE2BT+17
kL5             EQU       kE2BT+18
kL6             EQU       kE2BT+19

;
;       these keys are layed on top of existing keys
;       to enable localization in the inferential stats editor
;
kinfData        equ       kL1
kinfStats       equ       kL1+1
kinfYes         equ       kL1+2
kinfNo          equ       kL1+3
kinfCalc        equ       kL1+4
kinfDraw        equ       kL1+5
kinfAlt1ne      equ       kL1+6
kinfAlt1lt      equ       kL1+7
kinfAlt1gt      equ       kL1+8
kinfAlt2ne      equ       kL1+9
kinfAlt2lt      equ       kL1+10
kinfAlt2gt      equ       kL1+11
kinfAlt3ne      equ       kL1+12
kinfAlt3lt      equ       kL1+13
kinfAlt3gt      equ       kL1+14
kinfAlt4ne      equ       kL1+15
kinfAlt4lt      equ       kL1+16
kinfAlt4gt      equ       kL1+17
kinfAlt5ne      equ       kL1+18
kinfAlt5lt      equ       kL1+19
kinfAlt5gt      equ       kL1+20
kinfAlt6ne      equ       kL1+21
kinfAlt6lt      equ       kL1+22
kinfAlt6gt      equ       kL1+23
;
;
;

kMATA           equ       kE2BT+20
kMATB           equ       kE2BT+21
kMATC           equ       kE2BT+22
kMATD           equ       kE2BT+23
kMATE           equ       kE2BT+24

kXMIN           EQU       kE2BT+25
kXMAX           EQU       kE2BT+26
kXSCL           EQU       kE2BT+27
kYMIN           equ       kE2BT+28
kYMAX           equ       kE2BT+29
kYSCL           equ       kE2BT+30
kTMIN           equ       kE2BT+31
kTMAX           equ       kE2BT+32
kTSTEP          equ       kE2BT+33
koMIN           equ       kE2BT+34
koMAX           equ       kE2BT+35
koSTEP          equ       kE2BT+36
kU0             EQU       kE2BT+37
kV0             EQU       kE2BT+38
kNMIN           EQU       kE2BT+39
kNMAX           EQU       kE2BT+40
kDELTAy         EQU       kE2BT+41
kDELTAx         EQU       kE2BT+42

kZXMIN          EQU       kE2BT+43
kZXMAX          EQU       kE2BT+44
kZXSCL          EQU       kE2BT+45
kZYMIN          EQU       kE2BT+46
kZYMAX          EQU       kE2BT+47
kZYSCL          EQU       kE2BT+48
kZTMIN          EQU       kE2BT+49
kZTMAX          EQU       kE2BT+50
kZTSTEP         EQU       kE2BT+51
kZoMIN          EQU       kE2BT+52
kZoMAX          EQU       kE2BT+53
kZoSTEP         EQU       kE2BT+54
kZU0            EQU       kE2BT+55
kZV0            EQU       kE2BT+56
kZNMIN          EQU       kE2BT+57
kZNMAX          EQU       kE2BT+58

KDELLAST        EQU       kE2BT+59
KSINREG         EQU       kE2BT+60
KCONSTe         EQU       kE2BT+61

kPIC1           EQU       kE2BT+62
kPIC2           EQU       kE2BT+63
kPIC3           EQU       kE2BT+64

kDELVAR         EQU       kE2BT+65
kGETCALC        EQU       kE2BT+66
kREALM          EQU       kE2BT+67
kPOLARM         EQU       kE2BT+68
kRECTM          EQU       kE2BT+69
kUV             EQU       kE2BT+70    ; U vs V
kVW             EQU       kE2BT+71    ; V vs W
kUW             EQU       kE2BT+72    ; U vs W
kFINpmtend      EQU       kE2BT+73
kFINpmtbeg      EQU       kE2BT+74
;
KGRAPHSTYLE     EQU       kE2BT+75
;
KEXPRON         EQU       kE2BT+76
KEXPROFF        EQU       kE2BT+77
kSTATa          EQU       kE2BT+78
kSTATb          EQU       kE2BT+79
KSTATc          EQU       kE2BT+80
KCORR           EQU       kE2BT+81
kSTATd          EQU       kE2BT+82
kSTATe          EQU       kE2BT+83
kREGEQ          EQU       kE2BT+84
kMINX           EQU       kE2BT+85
kQ1             EQU       kE2BT+86
kMD             EQU       kE2BT+87
kQ3             EQU       kE2BT+88
kMAXX           EQU       kE2BT+89
kSTATX1         EQU       kE2BT+90
kSTATY1         EQU       kE2BT+91
kSTATX2         EQU       kE2BT+92
kSTATY2         EQU       kE2BT+93
kSTATX3         EQU       kE2BT+94
kSTATY3         EQU       kE2BT+95
kTBLMIN         EQU       kE2BT+96
kTBLSTEP        EQU       kE2BT+97
KSETUPLST       EQU       kE2BT+98
KCLRALLLST      EQU       kE2BT+99
KLOGISTIC       EQU       kE2BT+100
KZTEST          EQU       kE2BT+101
KTTEST          EQU       kE2BT+102
K2SAMPZTEST     EQU       kE2BT+103
K2SAMPTTEST     EQU       kE2BT+104
K1PROPZTEST     EQU       kE2BT+105
K2PROPZTEST     EQU       kE2BT+106
KCHITEST        EQU       kE2BT+107
K2SAMPFTEST     EQU       kE2BT+108
KZINTVAL        EQU       kE2BT+109
KTINTVAL        EQU       kE2BT+110
K2SAMPTINT      EQU       kE2BT+111
K2SAMPZINT      EQU       kE2BT+112
K1PROPZINT      EQU       kE2BT+113
K2PROPZINT      EQU       kE2BT+114
KDNORMAL        EQU       kE2BT+115
KINVNORM        EQU       kE2BT+116
KDT             EQU       kE2BT+117
KCHI            EQU       kE2BT+118
KDF             EQU       kE2BT+119
KBINPDF         EQU       kE2BT+120
KBINCDF         EQU       kE2BT+121
KPOIPDF         EQU       kE2BT+122
KPOICDF         EQU       kE2BT+123
kUn             EQU       kE2BT+124
kVn             EQU       kE2BT+125
kWn             EQU       kE2BT+126
kRecn           EQU       kE2BT+127
KPLOTSTART      EQU       kE2BT+128
KZPLOTSTART     EQU       kE2BT+129   ; recursion n
kXFACT          EQU       kE2BT+130   ; PLOTSTART
kYFACT          EQU       kE2BT+131   ; ZPLOTSTART
KANOVA          EQU       kE2BT+132   ; XFACT
kMAXY           EQU       kE2BT+133   ; YFACT
kWEBON          EQU       kE2BT+134   ; MINY
kWEBOFF         EQU       kE2BT+135   ; MAXY
kTBLINPUT       EQU       kE2BT+136   ; WEB ON
KGEOPDF         EQU       kE2BT+137   ; WEB OFF
KGEOCDF         EQU       kE2BT+138   ; WEB OFF
KSHADENORM      EQU       kE2BT+139
KSHADET         EQU       kE2BT+140
KSHADECHI       EQU       kE2BT+141
KSHADEF         EQU       kE2BT+142
KPLOTSTEP       EQU       kE2BT+143
KZPLOTSTEP      EQU       kE2BT+144
KLINREGTTEST    EQU       kE2BT+145
KMGT		EQU	  kE2BT+146   ; VERT SPLIT
kSelectA        EQU       kE2BT+147
kZFITA          EQU       kE2BT+148
kE2BT_END       EQU       kZFITA
;
;
cxCmd           equ     kQuit                   ;home screen
cxMatEdit       equ     kMATRIXED               ;matrix editor
cxPrgmEdit      equ     kPRGMED                 ;program editor
cxEquEdit       equ     kYequ                   ;equation editor
cxGrRange       equ     kWindow                 ;graph range editor
cxGrZfact       equ     kZFACTED                ;graph zoom factors editor
cxGraph         equ     kGrAPH                  ;graph mode
cxStatEdit      equ     kSTATED                 ;statistics list editor
cxPrgmInput     equ     kPRGMINPUT              ;programmed input
cxError         equ     kERROR                  ;error handler
cxLinkIO        equ     kLinkIO                 ;LINK I/O interface
cxMEM           equ     kRESETMEM               ;reset memory
cxDEFMEM        equ     kRESETDEF               ;reset default
cxRamApp        equ     kCHKRAM                 ;RAM usage screen
cxMode          equ     kMode                   ;mode settings screen
cxErase         equ     kDELMEM                 ;memory erase
;cxSTATSET       EQU     KSTATSETUP              ;STAT SET UP
cxPRGMCREATE    EQU     kPRGMCR                 ;PROGRAM CREATE
cxTABLEEDITOR   EQU     Ktable                  ;TABLE EDITOR
cxTABLESET      EQU     kTblSet                 ;TABLE SET UP
cxSTATPLOT      EQU     kStatP                  ;STAT PLOTS
cxINFSTAT	EQU	kInfStat		;Inferential Statistic
cxFORMAT        EQU     kFORMAT                 ;FORMAT CONTEXT
cxSOLVETVM      EQU     kSOLVETVM               ;Solve TVM
cxSOLVEROOT     EQU     kSolveRoot              ;Solve Root
LastOldApp      equ     kExtApps                ;external applications
cxextapps       equ     kExtApps
cxNewApps       equ     kNewApps                ;new cerberus applications
cxGroup         equ     cxNewApps+0             ;1st new app.
cxUnGroup       equ     cxNewApps+1             ;2nd new app.
LastNewApp      equ     cxUnGroup               ;last new app for this ver

; NEW 2 BYTE KEYS

KE2BT2          EQU       0

kGDB1           EQU       KE2BT2
kGDB2           EQU       KE2BT2+1
kGDB3           EQU       KE2BT2+2
kY1             EQU       KE2BT2+3
kY2             EQU       KE2BT2+4
kY3             EQU       KE2BT2+5
kY4             EQU       KE2BT2+6
kY5             EQU       KE2BT2+7
kY6             EQU       KE2BT2+8
kY7             EQU       KE2BT2+9
kY8             EQU       KE2BT2+10
kY9             EQU       KE2BT2+11
kY0             EQU       KE2BT2+12
kX1T            EQU       KE2BT2+13
kY1T            EQU       KE2BT2+14
kX2T            EQU       KE2BT2+15
kY2T            EQU       KE2BT2+16
kX3T            EQU       KE2BT2+17
kY3T            EQU       KE2BT2+18
kX4T            EQU       KE2BT2+19
kY4T            EQU       KE2BT2+20
kX5T            EQU       KE2BT2+21
kY5T            EQU       KE2BT2+22
kX6T            EQU       KE2BT2+23
kY6T            EQU       KE2BT2+24
kR1             EQU       KE2BT2+25
kR2             EQU       KE2BT2+26
kR3             EQU       KE2BT2+27
kR4             EQU       KE2BT2+28
kR5             EQU       KE2BT2+29
kR6             EQU       KE2BT2+30
kGDB4           EQU       KE2BT2+31
kGDB5           EQU       KE2BT2+32
kGDB6           EQU       KE2BT2+33
kPIC4           EQU       KE2BT2+34
kPIC5           EQU       KE2BT2+35
kPIC6           EQU       KE2BT2+36
kGDB7           EQU       KE2BT2+37
kGDB8           EQU       KE2BT2+38
kGDB9           EQU       KE2BT2+39
kGDB0           EQU       KE2BT2+40
kPIC7           EQU       KE2BT2+41
kPIC8           EQU       KE2BT2+42
kPIC9           EQU       KE2BT2+43
kPIC0           EQU       KE2BT2+44
kSTATN          EQU       KE2BT2+45
kXMEAN          EQU       KE2BT2+46
kCONJ           EQU       KE2BT2+47
kREAL           EQU       KE2BT2+48
kFANGLE         EQU       KE2BT2+49
kLCM            EQU       KE2BT2+50
kGCD            EQU       KE2BT2+51
kRANDINT        EQU       KE2BT2+52
kRANDNORM       EQU       KE2BT2+53
kTOPOLAR        EQU       KE2BT2+54
kTORECT         EQU       KE2BT2+55
kYMEAN          EQU       KE2BT2+56
kSTDX           EQU       KE2BT2+57
kSTDX1          EQU       KE2BT2+58
kW0             EQU       KE2BT2+59
kMATF           EQU       KE2BT2+60
kMATG           EQU       KE2BT2+61
kMATRH          EQU       KE2BT2+62
kMATI           EQU       KE2BT2+63
kMATJ           EQU       KE2BT2+64
kYMEAN1         EQU       KE2BT2+65
kSTDY           EQU       KE2BT2+66
kSTDY1          EQU       KE2BT2+67
kMATTOLST       EQU       KE2BT2+68
kLSTTOMAT       EQU       KE2BT2+69
kCUMSUM         EQU       KE2BT2+70
kDELTALST       EQU       KE2BT2+71
kSTDDEV         EQU       KE2BT2+72
kVARIANCE       EQU       KE2BT2+73
kLENGTH         EQU       KE2BT2+74
kEQUTOSTRNG     EQU       KE2BT2+75
kSTRNGTOEQU     EQU       KE2BT2+76
kEXPR           EQU       KE2BT2+77
kSUBSTRNG       EQU       KE2BT2+78
kINSTRNG        EQU       KE2BT2+79
kSTR1           EQU       KE2BT2+80
kSTR2           EQU       KE2BT2+81
kSTR3           EQU       KE2BT2+82
kSTR4           EQU       KE2BT2+83
kSTR5           EQU       KE2BT2+84
kSTR6           EQU       KE2BT2+85
kSTR7           EQU       KE2BT2+86
kSTR8           EQU       KE2BT2+87
kSTR9           EQU       KE2BT2+88
kSTR0           EQU       KE2BT2+89
kFINn           EQU       KE2BT2+90
kFINi           EQU       KE2BT2+91
kFINpv          EQU       KE2BT2+92
kFINpmt         EQU       KE2BT2+93
kFINfv          EQU       KE2BT2+94
kFINpy          EQU       KE2BT2+95
kFINcy          EQU       KE2BT2+96
kFINFpmt        EQU       KE2BT2+97
kFINFi          EQU       KE2BT2+98
kFINFpv         EQU       KE2BT2+99
kFINFn          EQU       KE2BT2+100
kFINFfv         EQU       KE2BT2+101
kFINnpv         EQU       KE2BT2+102
kFINirr         EQU       KE2BT2+103
kFINbal         EQU       KE2BT2+104
kFINprn         EQU       KE2BT2+105
kFINint         EQU       KE2BT2+106
kSUMX           EQU       KE2BT2+107
kSUMX2          EQU       KE2BT2+108
kFINtonom       EQU       KE2BT2+109
kFINtoeff       EQU       KE2BT2+110
kFINdbd         EQU       KE2BT2+111
kSTATVP         EQU       KE2BT2+112
kSTATZ          EQU       KE2BT2+113
kSTATT          EQU       KE2BT2+114
kSTATCHI        EQU       KE2BT2+115
kSTATF          EQU       KE2BT2+116
kSTATDF         EQU       KE2BT2+117
kSTATPHAT       EQU       KE2BT2+118
kSTATPHAT1      EQU       KE2BT2+119
kSTATPHAT2      EQU       KE2BT2+120
kSTATMEANX1     EQU       KE2BT2+121
kSTATMEANX2     EQU       KE2BT2+122
kSTATSTDX1      EQU       KE2BT2+123
kSTATSTDX2      EQU       KE2BT2+124
kSTATSTDXP      EQU       KE2BT2+125
kSTATN1         EQU       KE2BT2+126
kSTATN2         EQU       KE2BT2+127
kSTATLOWER      EQU       KE2BT2+128
kSTATUPPER      EQU       KE2BT2+129
KUW0            EQU       KE2BT2+130
KIMAG           EQU       KE2BT2+131
kSUMY           EQU       KE2BT2+132
KXRES           EQU       KE2BT2+133
KSTAT_S         EQU       KE2BT2+134
kSUMY2          EQU       KE2BT2+135
kSUMXY          EQU       KE2BT2+136
KUXRES          EQU       KE2BT2+137
kModBox		EQU       KE2BT2+138
kNormProb	EQU       KE2BT2+139
KNORMALPDF      EQU       KE2BT2+140
KTPDF           EQU       KE2BT2+141
KCHIPDF         EQU       KE2BT2+142
KFPDF           EQU       KE2BT2+143
kMINY           EQU       KE2BT2+144   ; MINY
KRANDBIN        EQU       KE2BT2+145
KREF            EQU       KE2BT2+146
KRREF           EQU       KE2BT2+147
KLRSQR          EQU       KE2BT2+148
KBRSQR          EQU       KE2BT2+149
KDIAGON         EQU       KE2BT2+150
KDIAGOFF        EQU       KE2BT2+151
kun1            EQU       KE2BT2+152   ; FOR RCL USE WHEN GOTTEN FROM 82
KVN1            EQU       KE2BT2+153   ; FOR RCL USE WHEN GOTTEN FROM 82
;KE2BT2_END      EQU       kVN1
k83_00End       equ     KVN1            ;end of original keys...
kArchive        equ     k83_00End + 1
kUnarchive      equ     k83_00End + 2
kAsm            equ     k83_00End + 3   ; Asm(
kAsmPrgm        equ     k83_00End + 4   ; AsmPrgm
kAsmComp        equ     k83_00End + 5   ; AsmComp(
;

kcapAAcute     EQU       k83_00End + 6
kcapAGrave     EQU       k83_00End + 7
kcapACaret     EQU       k83_00End + 8
kcapADier      EQU       k83_00End + 9
kaAcute        EQU       k83_00End + 10
kaGrave        EQU       k83_00End + 11
kaCaret        EQU       k83_00End + 12
kaDier         EQU       k83_00End + 13
kcapEAcute     EQU       k83_00End + 14
kcapEGrave     EQU       k83_00End + 15
kcapECaret     EQU       k83_00End + 16
kcapEDier      EQU       k83_00End + 17
keAcute        EQU       k83_00End + 18
keGrave        EQU       k83_00End + 19
keCaret        EQU       k83_00End + 20
keDier         EQU       k83_00End + 21
kcapIAcute     EQU       k83_00End + 22
kcapIGrave     EQU       k83_00End + 23
kcapICaret     EQU       k83_00End + 24
kcapIDier      EQU       k83_00End + 25
kiAcute        EQU       k83_00End + 26
kiGrave        EQU       k83_00End + 27
kiCaret        EQU       k83_00End + 28
kiDier         EQU       k83_00End + 29
kcapOAcute     EQU       k83_00End + 30
kcapOGrave     EQU       k83_00End + 31
kcapOCaret     EQU       k83_00End + 32
kcapODier      EQU       k83_00End + 33
koAcute        EQU       k83_00End + 34
koGrave        EQU       k83_00End + 35
koCaret        EQU       k83_00End + 36
koDier         EQU       k83_00End + 37
kcapUAcute     EQU       k83_00End + 38
kcapUGrave     EQU       k83_00End + 39
kcapUCaret     EQU       k83_00End + 40
kcapUDier      EQU       k83_00End + 41
kuAcute        EQU       k83_00End + 42
kuGrave        EQU       k83_00End + 43
kuCaret        EQU       k83_00End + 44
kuDier         EQU       k83_00End + 45
kcapCCed       EQU       k83_00End + 46
kcCed          EQU       k83_00End + 47
kcapNTilde     EQU       k83_00End + 48
knTilde        EQU       k83_00End + 49
kaccent        EQU       k83_00End + 50
kgrave         EQU       k83_00End + 51
kdieresis      EQU       k83_00End + 52
kquesDown      EQU       k83_00End + 53
kexclamDown    EQU       k83_00End + 54
kalpha         EQU       k83_00End + 55
kbeta          EQU      k83_00End +  56
kgamma         EQU      k83_00End +  57
kcapDelta      EQU      k83_00End +  58
kdelta         EQU      k83_00End +  59
kepsilon       EQU      k83_00End +  60
klambda        EQU      k83_00End +  61
kmu            EQU      k83_00End +  62
kpi2           EQU      k83_00End +  63
krho           EQU      k83_00End +  64
kcapSigma      EQU      k83_00End +  65
ksigma         EQU      k83_00End +  66
ktau           EQU      k83_00End +  67
kphi           EQU      k83_00End +  68
kcapOmega      EQU      k83_00End +  69
kphat          EQU      k83_00End +  70
kchi2          EQU      k83_00End +  71
kstatF2        EQU      k83_00End +  72
kLa      equ     k83_00End + 73
kLb      equ     k83_00End + 74
kLc      equ     k83_00End + 75
kLd      equ     k83_00End + 76
kLe      equ     k83_00End + 77
kLf      equ     k83_00End + 78
kLg      equ     k83_00End + 79
kLh      equ     k83_00End + 80
kLi      equ     k83_00End + 81
kLj      equ     k83_00End + 82
kLk      equ     k83_00End + 83
kLl      equ     k83_00End + 84
kLm      equ     k83_00End + 85
kLsmalln equ    k83_00End +  86
kLo      equ    k83_00End +  87
kLp      equ    k83_00End +  88
kLq      equ    k83_00End +  89
kLsmallr equ    k83_00End +  90
kLs      equ    k83_00End +  91
kLt      equ    k83_00End +  92
kLu      equ    k83_00End +  93
kLv      equ    k83_00End +  94
kLw      equ    k83_00End +  95
kLx      equ    k83_00End +  96
kLy      equ    k83_00End +  97
kLz      equ    k83_00End +  98
kGarbageC  equ  k83_00End +  99 ; GarbageCollect
;
;KE2BT2_End      equ     klz
kE2BT2_End      equ     kGarbageC
;
;  scan code equates
;
skDown          equ              01h
skLeft          equ              02h
skRight         equ              03h
skUp            equ              04h
skEnter         equ              09h
skAdd           equ              0Ah
skSub           equ              0Bh
skMul           equ              0Ch
skDiv           equ              0Dh
skPower         equ              0Eh
skClear         equ              0Fh
skChs           equ              11h
sk3             equ              12h
sk6             equ              13h
sk9             equ              14h
skRParen        equ              15h
skTan           equ              16h
skVars          equ              17h
skDecPnt        equ              19h
sk2             equ              1Ah
sk5             equ              1Bh
sk8             equ              1Ch
skLParen        equ              1Dh
skCos           equ              1Eh
skPrgm          equ              1Fh
skStat          equ              20h
sk0             equ              21h
sk1             equ              22h
sk4             equ              23h
sk7             equ              24h
skComma         equ              25h
skSin           equ              26h
skMatrix        equ              27h
skGraphvar      equ              28h
skStore         equ              2Ah
skLn            equ              2Bh
skLog           equ              2Ch
skSquare        equ              2Dh
skRecip         equ              2Eh
skMath          equ              2Fh
skAlpha         equ              30h
skGraph         equ              31h
skTRACE         equ              32h
skZOOM          equ              33h
skWINDOW        equ              34h
skYequ          equ              35h
sk2nd           equ              36h
skMODE          equ              37h
skDEL           equ              38h
;
; tokens
;
;                                             length (+80h for leading blank)
;       # TOKENS IN USE = 249
;						     (+40h for trailing blank)
; Unused tokens:
;   tUnused01   equ     0EFh    ;this is the only 1byte token available
;
EOSSTART        EQU       0
;
;
;   DISPLAY CONVERSIONS  COME IMMEDIATELY BEFORE 'TSTORE'
;
DCONV   EQU     01H
;
TTODMS          equ       DCONV       ; 01H
TTODEC          equ       DCONV+1     ; 02H
TTOAbc          EQU       DCONV+2     ; 03H    > A b/c
;
TSTORE          equ       DCONV+3     ; 04H Lstore                01
;
TBOXPLOT        EQU       05h
;
BRACKS          EQU       06H
;
tLBrack         equ       BRACKS      ; 06h '['
tRBrack         equ       BRACKS+1    ; 07h ']'
tLBrace         equ       BRACKS+2    ; 08h '{'
tRBrace         equ       BRACKS+3    ; 09h '}'
;
TPOST1          EQU       BRACKS+4
;
tFromRad        equ       TPOST1       ; 0Ah Lradian
tFromDeg        equ       TPOST1+1     ; 0Bh Ldegree
tRecip          equ       TPOST1+2     ; 0Ch Linverse
tSqr            equ       TPOST1+3     ; 0Dh Lsquare
tTrnspos        equ       TPOST1+4     ; 0Eh Ltranspose
TCUBE           EQU       TPOST1+5     ; 0Fh '^3'
;
tLParen         equ       10H         ; 10h '('
tRParen         equ       11H         ; 11h ')'
;
;
;   IMMEDIATE UNARY TOKENS GO FROM HERE TO 'EOSEL-1'
;
IMUN            EQU       12H
;
tRound          equ       IMUN        ; 12h 'round'
TPXTST          equ       IMUN+1      ; 13h 'PXL-TEST'
tAug            equ       IMUN+2      ; 14h 'aug'
tRowSwap        EQU       IMUN+3      ; 15h 'rSwap'
tRowPlus        equ       IMUN+4      ; 16h 'rAdd'
tmRow           EQU       IMUN+5      ; 17h 'multR'
tmRowPlus       EQU       IMUN+6      ; 18h 'mRAdd'
tMax            equ       IMUN+7      ; 19H 'max'
tMin            equ       IMUN+8      ; 1AH 'min'
TRTOPr          EQU       IMUN+9      ; 1BH 'R>Pr
TRTOPo          EQU       IMUN+10     ; 1CH 'R>Po
TPTORx          EQU       IMUN+11     ; 1DH 'P>Rx
TPTORy          EQU       IMUN+12     ; 1EH 'P>Ry
tMEDIAN         equ       IMUN+13     ; 1Fh 'MEDIAN
tRandM          equ       IMUN+14     ; 20h 'randM'
TMEAN           EQU       IMUN+15     ; 21h
TROOT           EQU       IMUN+16     ; 22h 'ROOT'
tSeries         equ       IMUN+17     ; 23h 'seq'
tFnInt          equ       IMUN+18     ; 24h 'fnInt'
tNDeriv         equ       IMUN+19     ; 25h 'fnIr'
TEVALF          EQU       IMUN+20     ; 26h
TFMIN           EQU       IMUN+21     ; 27h
TFMAX           EQU       IMUN+22     ; 28h
;
;
;
;  TOKEN 29H CANNOT BE AN EOS FUNCTION SINCE EL(=29H ALREADY
;
tEOSEL          EQU       IMUN+23
;
TSPACE          EQU       tEOSEL       ; 29h   ' '
tString         equ       tEOSEL+1     ; 2Ah  '"'
tComma          equ       tEOSEL+2     ; 2Bh  ','
;
;
;
Tii             equ       2Ch         ; i
;
; ===== Postfix functions
;
TPOST           EQU       2Dh
;
tFact           equ       TPOST       ; 2Dh '!'



TCUBICR         EQU       2Eh
TQUARTR         EQU       2Fh

;
;       NUMBER TOKENS
;
NUMS            EQU       30h
;
T0              EQU       NUMS        ; 30h
T1              EQU       NUMS+1      ; 31h
T2              EQU       NUMS+2      ; 32h
T3              EQU       NUMS+3      ; 33h
T4              EQU       NUMS+4      ; 34h
T5              EQU       NUMS+5      ; 35h
T6              EQU       NUMS+6      ; 36h
T7              EQU       NUMS+7      ; 37h
T8              EQU       NUMS+8      ; 38h
T9              EQU       NUMS+9      ; 39h
TDECPT          EQU       NUMS+10     ; 3Ah
Tee             EQU       NUMS+11     ; 3Bh
;
;   BINARY OP
;
tOr             equ       3Ch         ; 3Ch  '_or_'
TXOR            equ       3Dh         ; 3Dh
;
tColon          equ       3Eh         ; 3Eh ':'
tEnter          equ       3Fh         ; 3Fh  Lenter
;
;   BINARY OP
;
tAnd            equ       40h         ; 40h  '_and_'               05
;
;       LETTER TOKENS
;
LET             EQU       41h
;
TA              EQU       LET         ; 41h
TB              EQU       LET+1       ; 42h
TC              EQU       LET+2       ; 43h
TD              EQU       LET+3       ; 44h
TE              EQU       LET+4       ; 45h
TF              EQU       LET+5       ; 46h
TG              EQU       LET+6       ; 47h
TH              EQU       LET+7       ; 48h
TI              EQU       LET+8       ; 49h
TJ              EQU       LET+9       ; 4Ah
TK              EQU       LET+10      ; 4Bh
TL              EQU       LET+11      ; 4Ch
TM              EQU       LET+12      ; 4Dh
TN              EQU       LET+13      ; 4Eh
TO              EQU       LET+14      ; 4Fh
TP              EQU       LET+15      ; 50h
TQ              EQU       LET+16      ; 51h
TR              EQU       LET+17      ; 52h
TS              EQU       LET+18      ; 53h
TT              EQU       LET+19      ; 54h
TU              EQU       LET+20      ; 55h
TV              EQU       LET+21      ; 56h
TW              EQU       LET+22      ; 57h
TX              EQU       LET+23      ; 58h
TY              EQU       LET+24      ; 59h
TZ              EQU       LET+25      ; 5Ah
TTHETA          EQU       LET+26      ; 5Bh
;
;
;   THESE VAR TOKENS ARE 1ST OF A DOUBLE TOKEN
;
;   SEE 'VARS.DOC' FOR MORE INFO ON VARS
;
VTOKS   EQU     LET+27    ;
;
;       USER MATRIX TOKEN, 2ND TOKEN NEEDED FOR NAME
;
TVARMAT         EQU       VTOKS       ; 5Ch
;
;       USER LIST TOKEN, 2ND TOKEN NEEDED FOR NAME
;
TVARLST         EQU       VTOKS+1     ; 5Dh
;
;       USER EQUATION TOKEN, 2ND TOKEN NEEDED FOR NAME
;
TVAREQU         EQU       VTOKS+2     ; 5Eh
;
;       THIS IS A SINGLE TOKEN, I WILL HAVE TO READ THE NAME IN
;       EVERY SINGLE TIME I EXECUTE
;
TPROG           EQU       VTOKS+3     ; 5Fh
;
;       USER PICT TOKEN, 2ND TOKEN NEEDED FOR NAME
;
TVARPICT        EQU       VTOKS+4     ; 60h
;
;       USER GDB TOKEN, 2ND TOKEN NEEDED FOR NAME
;
TVARGDB         EQU       VTOKS+5     ; 61h
;
;       SYSTEM VARS THAT ARE USED FOR OUTPUT ONLY
;       CANNOT BE STORED TO BY THE USER
;
tVarOut         equ       VTOKS+6     ; 62h
;
;       SYSTEM VARS THAT ARE NOT IN THE SYMBOL TABLE
;       BUT THE USER CAN STORE TO THEM.
;
tVarSys         equ       VTOKS+7     ; 63h
;
;
; ===== Mode setting commands
;
MODESA          EQU       VTOKS+8     ; 64h
;
tRad            equ       MODESA      ; 64h 'Radian'
tDeg            equ       MODESA+1    ; 65h 'Degree'
tNormF          equ       MODESA+2    ; 66h 'Normal'
tSci            equ       MODESA+3    ; 67h 'Sci'
tEng            equ       MODESA+4    ; 68h 'Eng'
tFloat          equ       MODESA+5    ; 69h 'Float'
;
CMPS            EQU       6Ah
;
tEQ             equ       CMPS        ; 6Ah '=='
tLT             equ       CMPS+1      ; 6Bh '<'
tGT             equ       CMPS+2      ; 6Ch '>'
tLE             equ       CMPS+3      ; 6Dh LLE
tGE             equ       CMPS+4      ; 6Eh LGE
tNE             equ       CMPS+5      ; 6Fh LNE
;
;   BINARY OP
;
tAdd            equ       70h         ; 70h '+'
tSub            equ       71h         ; 71h '-'
;
TANS            EQU       72H         ; 72h
;
; ===== Mode setting commands
;
MODES           EQU       73h
;
tFix            equ       MODES       ; 73h 'Fix_'
TSPLITON        equ       MODES+1     ; 74h
TFULLSCREEN     EQU       MODES+2     ; 75h
tStndrd         EQU       MODES+3     ; 76h 'Func'
tParam          equ       MODES+4     ; 77h 'Param'
tPolar          EQU       MODES+5     ; 78h 'Pol'
TSEQG           equ       MODES+6     ; 79h
TAFILLON        equ       MODES+7     ; 7Ah 'AUTO FILL ON
TAFILLOFF       equ       MODES+8     ; 7Bh
TACALCON        EQU       MODES+9     ; 7Ch
TACALCOFF       equ       MODES+10    ; 7Dh 'AUTOFILL OFF
;
;
;       GRAPH FORMAT TOKENS ARE 2 BYTE TOKENS
;
TGFORMAT        EQU       MODES+11    ; 7Eh
;
TBOXICON        equ       7Fh
TCROSSICON      EQU       80h
TDOTICON        EQU       81h
;
;       BINARY OP
;
tMul            equ       82h         ; 82h  '*'
tDiv            equ       83h         ; 83h  '/'
;
;       SOME GRAPH COMMANDS
;
GRCMDS          EQU       84h
;
tTrace          equ       GRCMDS      ; 84h 'Trace'
tClDrw          equ       GRCMDS+1    ; 85h 'ClDrw'
tZoomStd        equ       GRCMDS+2    ; 86h 'ZStd'
tZoomtrg        equ       GRCMDS+3    ; 87h 'Ztrg'
tZOOMBOX        EQU       GRCMDS+4    ; 88h 'ZBOX'
tZoomIn         equ       GRCMDS+5    ; 89h 'ZIn'
tZoomOut        equ       GRCMDS+6    ; 8Ah 'ZOut'
tZoomSqr        equ       GRCMDS+7    ; 8Bh 'ZSqr'
tZoomInt        equ       GRCMDS+8    ; 8Ch 'ZInt'
tZoomPrev       equ       GRCMDS+9    ; 8Dh 'ZPrev'
tZoomDec        equ       GRCMDS+10   ; 8Eh 'ZDecm'
TZOOMSTAT       EQU       GRCMDS+11   ; 8Fh 'ZSTAT
tUsrZm          equ       GRCMDS+12   ; 90h 'ZRcl'
tPrtScrn        equ       GRCMDS+13   ; 91h 'PrtScrn'
tZOOMSTO        EQU       GRCMDS+14   ; 92H  ZOOM STORE
TTEXT           EQU       GRCMDS+15   ; 93h
;
;       BINARY OP
;
tnPr            equ       GRCMDS+16   ; 94h '_nPr_'
tnCr            equ       GRCMDS+17   ; 95h '_nCr_'
;
;       MORE GRAPH COMMANDS
;
tYOn            equ       GRCMDS+18   ; 96h 'FnOn_'
tYOff           equ       GRCMDS+19   ; 97h 'FnOff_'
tStPic          equ       GRCMDS+20   ; 98h 'StPic_'
tRcPic          equ       GRCMDS+21   ; 99h 'RcPic_'
tStoDB          equ       GRCMDS+22   ; 9Ah 'StGDB_'
tRclDB          equ       GRCMDS+23   ; 9Bh 'RcGDB_'
tLine           equ       GRCMDS+24   ; 9Ch 'Line'
tVert           equ       GRCMDS+25   ; 9Dh 'Vert_'
tPtOn           equ       GRCMDS+26   ; 9Eh 'PtOn'
tPtOff          equ       GRCMDS+27   ; 9Fh 'PtOff'
;
;  TOKEN A0 CANNOT BE AN EOS FUNCTION SINCE LOW MULT=A0 ALREADY
;
tPtChg          equ       GRCMDS+28   ; A0h 'PtChg'
TPXON           EQU       GRCMDS+29   ; A1h
TPXOFF          EQU       GRCMDS+30   ; A2h
TPXCHG          EQU       GRCMDS+31   ; A3h
tShade          equ       GRCMDS+32   ; A4h 'Shade'
tCircl          equ       GRCMDS+33   ; A5h 'Circl'
tHORZ           equ       GRCMDS+34   ; A6h 'HORIZONTAL'
tTanLn          equ       GRCMDS+35   ; A7h 'TanLn'
tDrInv          equ       GRCMDS+36   ; A8h 'DrInv_'
tDrawF          equ       GRCMDS+37   ; A9h 'DrawF_'
;
TVARSTRNG       EQU       0AAh
;
; ===== Functions with no arguments
;
NOARG   EQU     0ABh
;
tRand           equ       NOARG       ; ABh 'rand'
tPi             equ       NOARG+1     ; ACh  Lpi
tGetKey         equ       NOARG+2     ; ADh 'getKy'
;
;
TAPOST          EQU       tGetKey+1   ; APOSTROPHY
TQUEST          EQU       TAPOST+1    ; QUESTION MARK
;
;
; ===== Unary functions
;
;       UNARY : THESE UNARY FUNCTIONS TAKE A COMBINATION OF
;               ARGUMENTS, REAL,LIST,MATRIX
;
UNARY   EQU     TQUEST+1              ; B0h
;
tChs            equ       UNARY       ; B0h
tInt            equ       UNARY+1     ; B1h
TABS            equ       UNARY+2     ; B2h
tDet            equ       UNARY+3     ; B3h
tIdent          equ       UNARY+4     ; B4h
tDim            equ       UNARY+5     ; B5h
tSum            equ       UNARY+6     ; B6h
tProd           equ       UNARY+7     ; B7h
tNot            equ       UNARY+8     ; B8h
tIPart          equ       UNARY+9     ; B9h
tFPart          equ       UNARY+10    ; BAh
;
;
;       NEW 2 BYTE TOKENS
;
T2BYTETOK       EQU       0BBh         ;
;
;
;       UNARYLR : UNARY FUNCTIONS THAT ONLY WORK WITH
;                 REAL NUMBERS AND LISTS
;
UNARYLR EQU     UNARY+12
;
tSqrt           equ       UNARYLR     ; BCh
TCUBRT          equ       UNARYLR+1   ; BDh
tLn             equ       UNARYLR+2   ; BEh
tExp            equ       UNARYLR+3   ; BFh
tLog            equ       UNARYLR+4   ; C0h
tALog           equ       UNARYLR+5   ; C1h
tSin            equ       UNARYLR+6   ; C2h
tASin           equ       UNARYLR+7   ; C3h
tCos            equ       UNARYLR+8   ; C4h
tACos           equ       UNARYLR+9   ; C5h
tTan            equ       UNARYLR+10  ; C6h
tATan           equ       UNARYLR+11  ; C7h
tSinh           equ       UNARYLR+12  ; C8h
tASinh          equ       UNARYLR+13  ; C9h
tCosh           equ       UNARYLR+14  ; CAh
tACosh          equ       UNARYLR+15  ; CBh
tTanh           equ       UNARYLR+16  ; CCh
tATanh          equ       UNARYLR+17  ; CDh
;
;       SOME PROGRAMMING COMMANDS
;
PROGTOK EQU     UNARYLR+18
;
tIf             equ       PROGTOK     ; CEh
tThen           equ       PROGTOK+1   ; CFh
tElse           equ       PROGTOK+2   ; D0h
tWhile          equ       PROGTOK+3   ; D1h
tRepeat         equ       PROGTOK+4   ; D2h
tFor            equ       PROGTOK+5   ; D3h
tEnd            equ       PROGTOK+6   ; D4h
tReturn         equ       PROGTOK+7   ; D5h
tLbl            equ       PROGTOK+8   ; D6h   'Lbl_'
tGoto           equ       PROGTOK+9   ; D7h   'Goto_'
tPause          equ       PROGTOK+10  ; D8h   'Pause_'
tStop           equ       PROGTOK+11  ; D9h   'Stop'
tISG            equ       PROGTOK+12  ; DAh   'IS>'
tDSL            equ       PROGTOK+13  ; DBh   'DS<'
tInput          equ       PROGTOK+14  ; DCh   'Input_'
tPrompt         equ       PROGTOK+15  ; DDh   'Prompt_'
tDisp           equ       PROGTOK+16  ; DEh   'Disp_'
tDispG          equ       PROGTOK+17  ; DFh   'DispG'
;
;  TOKEN E0 CANNOT BE AN EOS FUNCTION SINCE HI MU
;
tOutput         equ       PROGTOK+18  ; E0H    'Outpt'
tClLCD          equ       PROGTOK+19  ; E1H    'ClLCD'
tConst          equ       PROGTOK+20  ; E2H    'Fill'
tSortA          equ       PROGTOK+21  ; E3H    'sortA_'
tSortD          equ       PROGTOK+22  ; E4H    'sortD_'
TDISPTAB        EQU       PROGTOK+23  ; E5h    'DISP TABLE
tMenu           equ       PROGTOK+24  ; E6H    'Menu'
tSENDMBL        EQU       PROGTOK+25  ; E7H    'SEND'
tGETMBL         EQU       PROGTOK+26  ; E8H    'GET'
;
;       STAT PLOT COMMANDS
;
STATPCMD        EQU       PROGTOK+27
;
TPLOTON         EQU       STATPCMD    ; E9h     ' PLOTSON'
TPLOTOFF        EQU       STATPCMD+1   ; EAh     ' PLOTSOFF
;
TLISTNAME       EQU       0EBH        ; LIST DESIGNATOR
;
;
;
TPLOT1          EQU       0ECH
TPLOT2          EQU       0EDH
TPLOT3          EQU       0EEH
;
tUNUSED01       EQU       0EFh        ;        available?
;
tPower          equ       0F0h        ;        '^'
tXRoot          equ       0F1h        ;        LsupX,Lroot

STATCMD         EQU       0F2h
;
tOneVar         equ       STATCMD     ; F2h    'OneVar_'
TTWOVAR         EQU       STATCMD+1   ; F3h
tLR             equ       STATCMD+2   ; F4h    'LinR(A+BX
tLRExp          equ       STATCMD+3   ; F5h    'ExpR_'
tLRLn           equ       STATCMD+4   ; F6h    'LnR_'
tLRPwr          equ       STATCMD+5   ; F7h    'PwrR_'
TMEDMED         EQU       STATCMD+6   ; F8h
TQUAD           EQU       STATCMD+7   ; F9h
tCLRLST         equ       STATCMD+8   ; FAh    'CLEAR LIST
TCLRTBL         EQU       STATCMD+9   ; FBH    CLEAR TABLE
tHist           equ       STATCMD+10  ; FCh    'Hist_'
txyLine         equ       STATCMD+11  ; FDH    'xyline_'
tScatter        equ       STATCMD+12  ; FEh    'Scatter_'
tLR1            equ       STATCMD+13  ; FFh    'LINR(AX+B


;
; 2ND HALF OF GRAPH FORMAT TOKENS
;
; ===== Format settings commands
;
GFMT            EQU       0
;
tSeq            equ       GFMT        ; 'SeqG'
tSimulG         equ       GFMT+1      ; 'SimulG'
tPolarG         equ       GFMT+2      ; 'PolarGC'
tRectG          equ       GFMT+3      ; 'RectGC'
tCoordOn        equ       GFMT+4      ; 'CoordOn'
tCoordOff       equ       GFMT+5      ; 'CoordOff'
tDrawLine       equ       GFMT+6      ; 'DrawLine'
tDrawDot        equ       GFMT+7      ; 'DrawDot'
tAxisOn         equ       GFMT+8      ; 'AxesOn'
tAxisOff        equ       GFMT+9      ; 'AxesOff'
tGridOn         equ       GFMT+10     ; 'GridOn'
tGridOff        equ       GFMT+11     ; 'GridOff'
tLblOn          equ       GFMT+12     ; 'LabelOn'
tLblOff         equ       GFMT+13     ; 'LabelOff'
tWebOn          equ       GFMT+14     ; 'WebOn'
tWebOff         equ       GFMT+15     ; 'WebOFF'
TUV             EQU       GFMT+16     ; U vs V
TVW             EQU       GFMT+17     ; V vs W
TUW             EQU       GFMT+18     ; U vs W
;
;       2ND HALF OF USER MATRIX TOKENS
;
TMATA           EQU       00h         ; MAT A
TMATB           EQU       01h         ; MAT B
TMATC           EQU       02h         ; MAT C
TMATD           EQU       03h         ; MAT D
TMATE           EQU       04h         ; MAT E
TMATF           EQU       05h         ; MAT F
TMATG           EQU       06h         ; MAT G
TMATH           EQU       07h         ; MAT H
TMATI           EQU       08h         ; MAT I
TMATJ           EQU       09h         ; MAT J
;
;       2ND HALF OF USER LIST TOKENS
;
TL1             EQU       00h         ; LIST 1
TL2             EQU       01h         ; LIST 2
TL3             EQU       02h         ; LIST 3
TL4             EQU       03h         ; LIST 4
TL5             EQU       04h         ; LIST 5
TL6             EQU       05h         ; LIST 6

;
;       2ND HALF OF USER EQUATION TOKENS
;
;
;       "Y" EQUATIONS HAVE BIT 4 SET
;
TY1             EQU       10h         ; Y1
TY2             EQU       11h         ; Y2
TY3             EQU       12h         ; Y3
TY4             EQU       13h         ; Y4
TY5             EQU       14h         ; Y5
TY6             EQU       15h         ; Y6
TY7             EQU       16h         ; Y7
TY8             EQU       17h         ; Y8
TY9             EQU       18h         ; Y9
TY0             EQU       19H         ; Y0
;
;       PARAM EQUATIONS HAVE BIT 5 SET
;
TX1T            EQU       20h         ; X1t
TY1T            EQU       21h         ; Y1t
TX2T            EQU       22h         ; X2t
TY2T            EQU       23h         ; Y2t
TX3T            EQU       24h         ; X3t
TY3T            EQU       25h         ; Y3t
TX4T            EQU       26h         ; X4t
TY4T            EQU       27h         ; Y4t
TX5T            EQU       28h         ; X5t
TY5T            EQU       29h         ; Y5t
TX6T            EQU       2Ah         ; X6t
TY6T            EQU       2Bh         ; Y6t
;
;       POLAR EQUATIONS HAVE BIT 6 SET
;
TR1             EQU       40h         ; R1
TR2             EQU       41h         ; R2
TR3             EQU       42h         ; R3
TR4             EQU       43h         ; R4
TR5             EQU       44h         ; R5
TR6             EQU       45h         ; R6
;
;       RECURSION EQUATIONS HAVE BIT 7 SET
;
TUN             EQU       80h         ; Un
TVN             EQU       81h         ; Vn
TWN             EQU       82h         ; Wn
;
;       2ND HALF OF USER PICTURE TOKENS
;
TPIC1           EQU       00h         ; PIC1
TPIC2           EQU       01h         ; PIC2
TPIC3           EQU       02h         ; PIC3
TPIC4           EQU       03h         ; PIC4
TPIC5           EQU       04h         ; PIC5
TPIC6           EQU       05h         ; PIC6
TPIC7           EQU       06h         ; PIC7
TPIC8           EQU       07h         ; PIC8
TPIC9           EQU       08h         ; PIC9
TPIC0           EQU       09h         ; PIC0
;
;       2ND HALF OF USER GRAPH DATABASE TOKENS
;
TGDB1           EQU       00h         ; GDB1
TGDB2           EQU       01h         ; GDB2
TGDB3           EQU       02h         ; GDB3
TGDB4           EQU       03h         ; GDB4
TGDB5           EQU       04h         ; GDB5
TGDB6           EQU       05h         ; GDB6
TGDB7           EQU       06h         ; GDB7
TGDB8           EQU       07h         ; GDB8
TGDB9           EQU       08h         ; GDB9
TGDB0           EQU       09h         ; GDB0
;
;       2ND HALF OF STRING VARS
;
TSTR1           EQU       00h
TSTR2           EQU       01h
TSTR3           EQU       02h
TSTR4           EQU       03h
TSTR5           EQU       04h
TSTR6           EQU       05h
TSTR7           EQU       06h
TSTR8           EQU       07h
TSTR9           EQU       08h
TSTR0           EQU       09h

;
;       2ND HALF OF SYSTEM OUTPUT ONLY VARIABLES
;
;
;   OPEN        EQU       00H
;
TREGEQ          EQU       01h         ; REGRESSION EQUATION
;
TSTATN          EQU       02h         ; STATISTICS N
;
TXMEAN          EQU       03h         ; X MEAN
TSUMX           EQU       04h         ; SUM(X)
TSUMXSQR        EQU       05h         ; SUM(X^2)
TSTDX           EQU       06h         ; STANDARD DEV X
TSTDPX          EQU       07h         ; STANDARD DEV POP X
TMINX           EQU       08h         ; MIN X VALUE
TMAXX           EQU       09h         ; MAX X VALUE
;
TMINY           EQU       0Ah         ; MIN Y VALUE
TMAXY           EQU       0Bh         ; MAX Y VALUE
TYMEAN          EQU       0Ch         ; Y MEAN
TSUMY           EQU       0Dh         ; SUM(Y)
TSUMYSQR        EQU       0Eh         ; SUM(Y^2)
TSTDY           EQU       0Fh         ; STANDARD DEV Y
TSTDPY          EQU       10h         ; STANDARD DEV POP Y
;
TSUMXY          EQU       11h         ; SUM(XY)
TCORR           EQU       12h         ; CORRELATION
TMEDX           EQU       13h         ; MED(X)
TQ1             EQU       14h         ; 1ST QUADRANT OF X
TQ3             EQU       15h         ; 3RD QUADRANT OF X
TQUADa          EQU       16h         ; 1ST TERM OF QUAD POLY REG/ Y-INT
TQUADb          EQU       17h         ; 2ND TERM OF QUAD POLY REG/ SLOPE
TQUADc          EQU       18h         ; 3RD TERM OF QUAD POLY REG
TCUBEd          EQU       19h         ; 4TH TERM OF CUBIC POLY REG
TQUARTe         EQU       1Ah         ; 5TH TERM OF QUART POLY REG
TMEDX1          EQU       1Bh         ; x1 FOR MED-MED
TMEDX2          EQU       1Ch         ; x2 FOR MED-MED
TMEDX3          EQU       1Dh         ; x3 FOR MED-MED
TMEDY1          EQU       1Eh         ; y1 FOR MED-MED
TMEDY2          EQU       1Fh         ; y2 FOR MED-MED
TMEDY3          EQU       20h         ; y3 FOR MED-MED
;
TRECURN           EQU       21h       ; RECURSION N
TSTATP          EQU       22h
TSTATZ          EQU       23h
TSTATT          EQU       24h
TSTATCHI        EQU       25h
TSTATF          EQU       26h
TSTATDF         EQU       27h
TSTATPHAT       EQU       28h
TSTATPHAT1      EQU       29h
TSTATPHAT2      EQU       2Ah
TSTATMEANX1     EQU       2Bh
TSTATSTDX1      EQU       2Ch
TSTATN1         EQU       2Dh
TSTATMEANX2     EQU       2Eh
TSTATSTDX2      EQU       2Fh
TSTATN2         EQU       30h
TSTATSTDXP      EQU       31h
TSTATLOWER      EQU       32h
TSTATUPPER      EQU       33h
TSTAT_S         EQU       34h
TLRSQR          EQU       35h         ; r^2
TBRSQR          EQU       36h         ; R^2
;
;       these next tokens are only used to acess the data
;       they are display only and the user cannot access them at all
;
TF_DF    EQU     37h       ; ANOFAV FACTOR DF
TF_SS    EQU     38h       ; ANOFAV FACTOR SS
TF_MS    EQU     39h       ; ANOFAV FACTOR MS
TE_DF    EQU     3Ah       ; ANOFAV ERROR DF
TE_SS    EQU     3Bh       ; ANOFAV ERROR SS
TE_MS    EQU     3Ch       ; ANOFAV ERROR MS
;

;
;       2ND HALF OF SYSTEM INPUT/OUTPUT VARIABLES
;

; SYSTEM VARIABLE EQUATES
;
;       VARS WITH NO RESTRICTION
;
TUXSCL       EQU  0
TUYSCL       EQU  1
TXSCL        EQU  2
TYSCL        EQU  3
TRECURU0     EQU  4        ; U 1ST INITIAL COND
TRECURV0     EQU  5        ; V 1ST INITIAL COND
TUN1         EQU  6        ; U(N-1)    ; NOT USED
TVN1         EQU  7        ; V(N-1)    ; NOT USED
TURECURU0    EQU  8        ;
TURECURV0    EQU  9        ;
;
;       VARS ROUNDED TO 10 DIGITS
;
TXMIN        EQU  0AH
TXMAX        EQU  0BH
TYMIN        EQU  0CH
TYMAX        EQU  0DH
TTMIN        EQU  0EH
TTMAX        EQU  0FH
TTHETAMIN    EQU  10H
TTHETAMAX    EQU  11H
TUXMIN       EQU  12H
TUXMAX       EQU  13H
TUYMIN       EQU  14H
TUYMAX       EQU  15H
TUTHETMIN    EQU  16H
TUTHETMAX    EQU  17H
TUTMIN       EQU  18H
TUTMAX       EQU  19H
TTBLMIN      EQU  1AH
TPLOTSTART   EQU  1BH
TUPLOTSTART  EQU  1CH
TNMAX        EQU  1DH
TUNMAX       EQU  1EH
TNMIN        EQU  1FH
TUNMIN       EQU  20H
;
;       VARS CANNOT BE 0
;
TTBLSTEP     EQU  21H
TTSTEP       EQU  22H
TTHETASTEP    EQU  23H
TUTSTEP      EQU  24H
TUTHETSTEP     EQU  25H
;
;       SPECIAL LIMITS ON THESE
;
TDELTAX      EQU  26H
TDELTAY      EQU  27H
;
;       SPECIAL LIMITS ON THESE
;
TXFACT       EQU  28H
TYFACT       EQU  29H
;
TTBLINPUT       EQU       2Ah
;
;       ANY RESTRICTIONS ??????
;
TFINn           EQU       2Bh
TFINi           EQU       2Ch
TFINpv          EQU       2Dh
TFINpmt         EQU       2Eh
TFINfv          EQU       2Fh
TFINpy          EQU       30h
TFINcy          EQU       31h
;
TRECURW0        EQU       32h         ; W0(1)
TURECURW0       EQU       33h
;
TPLOTSTEP       EQU       34h
TUPLOTSTEP      EQU       35h
;
TXRES           EQU       36h
TUXRES          EQU       37h
;
;       ALL THE TOKENS BELOW DO NOT HAVE STRINGS ASSOCIATED
;       THEY ARE HERE JUST FOR STORING AND RECALLING
;
TRECURU02       EQU       38h         ; U0(2)
TURECURU02      EQU       39h
TRECURV02       EQU       3Ch         ; V0(2)
TURECURV02      EQU       3Dh
TRECURW02       EQU       3Eh         ; W0(2)
TURECURW02      EQU       3Fh
;
; NO RESTRICTIONS
;
;TWN1           EQU       40h         ; W(N-1)
;UN2           EQU       41h         ; U(N-2)
;VN2           EQU       42h         ; V(N-2)
;WN2           EQU       43h         ; W(N-2)
;
;
;       DON'T KNOW IF NEED THESE YET ?
;
;TUI12
;TUI22
;TUUI12
;TUUI22
;
;

TFINnpv         EQU       00h         ; immediate unary
TFINirr         EQU       01h         ; immediate unary
TFINbal         EQU       02h         ; immediate unary
TFINprn         EQU       03h         ; immediate unary
TFINint         EQU       04h         ; immediate unary
TFINtonom       EQU       05h         ; immediate unary
TFINtoeff       EQU       06h         ; immediate unary
TFINdbd         EQU       07h         ; immediate unary
TLCM            EQU       08h         ; immediate unary
TGCD            EQU       09h         ; immediate unary
TRANDINT        EQU       0Ah         ; immediate unary
TRANDBIN        EQU       0Bh         ; immediate unary
TSUBSTRNG       EQU       0Ch         ; immediate unary
TSTDDEV         EQU       0Dh         ; immediate unary
TVARIANCE       EQU       0Eh         ; immediate unary
TINSTRNG        EQU       0Fh         ; immediate unary
TDNORMAL        EQU       10h         ; immediate unary
TINVNORM        EQU       11h         ; immediate unary
TDT             EQU       12h         ; immediate unary
TCHI            EQU       13h         ; immediate unary
TDF             EQU       14h         ; immediate unary
TBINPDF         EQU       15h         ; immediate unary
TBINCDF         EQU       16h         ; immediate unary
TPOIPDF         EQU       17h         ; immediate unary
TPOICDF         EQU       18h         ; immediate unary
TGEOPDF         EQU       19h         ; immediate unary
TGEOCDF         EQU       1Ah         ; immediate unary
TNORMALPDF      EQU       1Bh         ; immediate unary
TTPDF           EQU       1Ch         ; immediate unary
TCHIPDF         EQU       1Dh         ; immediate unary
TFPDF           EQU       1Eh         ; immediate unary
;TRANDBIN        EQU       1Fh         ; immediate unary
TRANDNORM       EQU       1Fh         ; immediate unary
TFINFpmt        EQU       20h         ; 0 or multy arg function
TFINFi          EQU       21h         ; 0 or multy arg function
TFINFpv         EQU       22h         ; 0 or multy arg function
TFINFn          EQU       23h         ; 0 or multy arg function
TFINFfv         EQU       24h         ; 0 or multy arg function
TCONJ           EQU       25h         ; unary
TREAL           EQU       26h         ; unary
TIMAG           EQU       27h         ; unary
TANGLE          EQU       28h         ; unary
TCUMSUM         EQU       29h         ; unary
TEXPR           EQU       2Ah         ; unary
TLENGTH         EQU       2Bh         ; unary
TDELTALST       EQU       2Ch         ; unary
TREF            EQU       2Dh         ; unary
TRREF           EQU       2Eh         ; unary
TTORECT         EQU       2Fh         ; display conversion
TTOPOLAR        EQU       30h         ; display conversion
TCONSTE         EQU       31h         ; function no arg
TSINREG         EQU       32h         ; command opt push
TLOGISTIC       EQU       33h         ; command opt push
TLINREGTTEST    EQU       34h         ; command opt push
TSHADENORM      EQU       35h         ; command pushed
TSHADET         EQU       36h         ; command pushed
TSHADECHI       EQU       37h         ; command pushed
TSHADEF         EQU       38h         ; command pushed
TMATTOLST       EQU       39h         ; command pushed
TLSTTOMAT       EQU       3Ah         ; command pushed
TZTEST          EQU       3Bh         ; command pushed
TTTEST          EQU       3Ch         ; command pushed
T2SAMPZTEST     EQU       3Dh         ; command pushed
T1PROPZTEST     EQU       3Eh         ; command pushed
T2PROPZTEST     EQU       3Fh         ; command pushed
TCHITEST        EQU       40h         ; command pushed
TZINTVAL        EQU       41h         ; command pushed
T2SAMPZINT      EQU       42h         ; command pushed
T1PROPZINT      EQU       43h         ; command pushed
T2PROPZINT      EQU       44h         ; command pushed
TGRAPHSTYLE     EQU       45h         ; command pushed
T2SAMPTTEST     EQU       46h         ; command opt pushed
T2SAMPFTEST     EQU       47h         ; command opt pushed
TTINTVAL        EQU       48h         ; command opt pushed
T2SAMPTINT      EQU       49h         ; command opt pushed
TSETUPLST       EQU       4Ah         ; command opt pushed
TFINpmtend      EQU       4Bh         ; mode command
TFINpmtbeg      EQU       4Ch         ; mode command
TREALM          EQU       4Dh         ; mode command
TPOLARM         EQU       4Eh         ; mode command
TRECTM          EQU       4Fh         ; mode command
TEXPRON         EQU       50h         ; mode command
TEXPROFF        EQU       51h         ; mode command
TCLRALLLST      EQU       52h         ; command not pushed
TGETCALC        EQU       53h         ; command not pushed
TDELVAR         EQU       54h         ; command not pushed
TEQUTOSTRNG     EQU       55h         ; command not pushed
TSTRNGTOEQU     EQU       56h         ; command not pushed
tdellast        EQU       57h         ; command not pushed
TSELECT         EQU       58h         ; command not pushed
TANOVA          EQU       59h         ; command not pushed
TMODBOX         EQU       5Ah         ; icon
TNORMPROB       EQU       5Bh         ; icon
;
;       tokens 5Ch to 63h CANNOT BE THE 2ND BYTE OF
;       TWO BYTE TOKENS. THESE ARE ALREADY THE 1ST BYTE VALUE
;       OF TWO BYTE TOKENS. READING TOKENS BACKWARDS WILL NOT
;       WORK IF THIS RESTRICTION IS NOT IN PLACE.
;
;
;       NO USE  EQU       5Ch
;       NO USE  EQU       5Dh
;       NO USE  EQU       5Eh
;       NO USE  EQU       5Fh
;       NO USE  EQU       60h
;       NO USE  EQU       61h
;       NO USE  EQU       62h
;       NO USE  EQU       63h
;
TMGT            EQU       64h         ; VERTICAL SPLIT
TZFIT           EQU       65h         ; ZOOM FIT
TDIAG_ON        EQU       66h         ; DIANOSTIC DISPLAY ON
TDIAG_OFF       EQU       67h         ; DIANOSTIC DISPLAY OFF
TokEnd2V0       equ       67h         ;end of 2byte tokens for version 0.
tArchive        equ       68h         ;archive
tUnarchive      equ       69h         ;unarchive
tasm		equ	  6Ah
tasmcomp	equ	  6Bh	      ; asm compile
tasmprgm	equ	  6Ch	      ; signifies a program is asm
tasmcmp 	equ	  6Dh	      ; asm program is compiled
;
tLcapAAcute     EQU       6Eh
tLcapAGrave     EQU       6Fh
tLcapACaret     EQU       70h
tLcapADier      EQU       71h
tLaAcute        EQU       72h
tLaGrave        EQU       73h
tLaCaret        EQU       74h
tLaDier         EQU       75h
tLcapEAcute     EQU       76h
tLcapEGrave     EQU       77h
tLcapECaret     EQU       78h
tLcapEDier      EQU       79h
tLeAcute        EQU       7Ah
tLeGrave        EQU       7Bh
tLeCaret        EQU       7Ch
tLeDier         EQU       7Dh
;
;       don't use         7Eh
;
tLcapIGrave     EQU       7Fh
tLcapICaret     EQU       80h
tLcapIDier      EQU       81h
tLiAcute        EQU       82h
tLiGrave        EQU       83h
tLiCaret        EQU       84h
tLiDier         EQU       85h
tLcapOAcute     EQU       86h
tLcapOGrave     EQU       87h
tLcapOCaret     EQU       88h
tLcapODier      EQU       89h
tLoAcute        EQU       8Ah
tLoGrave        EQU       8Bh
tLoCaret        EQU       8Ch
tLoDier         EQU       8Dh
tLcapUAcute     EQU       8Eh
tLcapUGrave     EQU       8Fh
tLcapUCaret     EQU       90h
tLcapUDier      EQU       91h
tLuAcute        EQU       92h
tLuGrave        EQU       93h
tLuCaret        EQU       94h
tLuDier         EQU       95h
tLcapCCed       EQU       96h
tLcCed          EQU       97h
tLcapNTilde     EQU       98h
tLnTilde        EQU       99h
tLaccent        EQU       9Ah
tLgrave         EQU       9Bh
tLdieresis      EQU       9Ch
tLquesDown      EQU       9Dh
tLexclamDown    EQU       9Eh
tLalpha         EQU       9Fh
tLbeta          EQU      0a0h
tLgamma         EQU      0a1h
tLcapDelta      EQU      0a2h
tLdelta         EQU      0a3h
tLepsilon       EQU      0a4h
tLlambda        EQU      0a5h
tLmu            EQU      0a6h
tLpi            EQU      0a7h
tLrho           EQU      0a8h
tLcapSigma      EQU      0a9h
;
;        don't use       0aAh   ;1st byte of tVarStrng
; (1st byte of 2 byte tokens)
;
tLphi           EQU      0aBh
tLcapOmega      EQU      0aCh
tLphat          EQU      0aDh
tLchi           EQU      0aEh
tLstatF         EQU      0aFh
;

tLa      equ     0b0h
tLb      equ     0b1h
tLc      equ     0b2h
tLd      equ     0b3h
tLsmalle equ     0b4h
tLf      equ     0b5h
tLsmallg equ     0b6h
tLh      equ     0b7h
tLi      equ     0b8h
tLj      equ     0b9h
tLk      equ     0bAh
;
;        don't use       0bBh   ;1st byte of t2ByteTok
; (1st byte of 2 byte tokens)
;

tLl      equ     0bCh
tLm      equ     0bDh
tLn      equ     0bEh
tLo      equ     0bFh
tLp      equ     0c0h
tLq      equ     0c1h
tLsmallr equ     0c2h
tLs      equ     0c3h
tLsmallt equ     0c4h
tLu      equ     0c5h
tLv      equ     0c6h
tLw      equ     0c7h
tLx      equ     0c8h
tLy      equ     0c9h
tLz      equ     0cAh
tLsigma         EQU      0cbh
tLtau           EQU      0cch
tLcapIAcute     EQU      0cdh
;
;
tGarbagec equ    0Ceh
LastToken       equ      0Ceh         ;tLAST TOKEN IN THIS VERSION...
;
; data type equates
;
;
REALOBJ         EQU       0
LISTOBJ         EQU       1
MATOBJ          EQU       2
EQUOBJ          EQU       3
STRNGOBJ        EQU       4
PROGOBJ         EQU       5
PROTPROGOBJ     EQU       6
PICTOBJ         EQU       7
GDBOBJ          EQU       8
UNKNOWNOBJ      EQU       9
UNKNOWNEQUOBJ   EQU       0AH
NEWEQUOBJ       EQU       0BH
CPLXOBJ         EQU       0CH
CLISTOBJ        EQU       0DH
UNDEFOBJ        EQU       0EH
WINDOWOBJ       EQU       0FH
ZSTOOBJ         EQU       10H
TBLRNGOBJ       EQU       11H
LCDOBJ          EQU       12H
BACKUPOBJ       EQU       13H
APPOBJ		EQU	  14H		;application, only used in menus/link
AppVarObj	Equ	  15h		;application variable
TempProgObj     Equ       16h           ;program, home deletes when finished
GroupObj        Equ       17h           ;group.
;
; i/o equates
;
D0LD1L      EQU              03H
D0LD1H      EQU              01H
D0HD1L      EQU              02H
D0HD1H      EQU              00H
;
;   DEVICE CODES
;
;
TI82DEV     EQU              82H
PC82DEV     EQU              02H
MAC82DEV    EQU              12H
;
TI83FDEV     EQU	      73H
LINK83FDEV   EQU	      23H
;
TI83DEV     EQU              83H
PC83DEV     EQU              03H
MAC83DEV    EQU              13H
;
TI85DEV     EQU              95H      ; DIFF THEN REAL 85 SO ME TALK
PC85DEV     EQU              05H
MAC85DEV    EQU              15H
;
TI73DEV     EQU 	     74H      ; Device x3 is always an 83
PC73DEV     EQU 	     07H
MAC73DEV    EQU 	     17H
;
TI83FDEV    EQU 	     73H
LINK73FDEV  EQU 	     23H
PC83FDEV    EQU 	     23H
;
;  system error codes
;
E_EDITF		equ	7		;allow re-entering application
E_EDIT		equ	1<<E_EDITF
E_MASK		equ	7Fh

E_OVERFLOW	equ	1+E_EDIT
E_DIVBY0	equ	2+E_EDIT
E_SINGULARMAT	equ	3+E_EDIT
E_DOMAIN	equ	4+E_EDIT
E_INCREMENT	equ	5+E_EDIT
E_BREAK		equ	6+E_EDIT
E_NONREAL       equ     7+E_EDIT
E_SYNTAX        equ     8+E_EDIT
E_DATATYPE      equ     9+E_EDIT
E_ARGUMENT      equ     10+E_EDIT
E_DIMMISMATCH   equ     11+E_EDIT
E_DIMENSION     equ     12+E_EDIT
E_UNDEFINED     equ     13+E_EDIT
E_MEMORY        equ     14+E_EDIT
E_INVALID       equ     15+E_EDIT
E_ILLEGALNEST   equ     16+E_EDIT
E_BOUND         equ     17+E_EDIT
E_GRAPHRANGE    equ     18+E_EDIT
E_ZOOM          equ     19+E_EDIT
E_LABEL         equ     20
E_STAT          equ     21
E_SOLVER        equ     22+E_EDIT
E_SINGULARITY   equ     23+E_EDIT
E_SIGNCHANGE    equ     24+E_EDIT
E_ITERATIONS    equ     25+E_EDIT
E_BADGUESS      equ     26+E_EDIT
E_STATPLOT      equ     27
E_TOLTOOSMALL   equ     28+E_EDIT
E_RESERVED      equ     29+E_EDIT
E_MODE          equ     30+E_EDIT
E_LNKERR        equ     31+E_EDIT
E_LNKMEMERR     equ     32+E_EDIT
E_LNKTRANSERR   equ     33+E_EDIT
E_LNKDUPERR     equ     34+E_EDIT
E_LNKMEMFULL    equ     35+E_EDIT
E_UNKNOWN       equ     36+E_EDIT

E_SCALE         equ     37+E_EDIT
E_IDNOTFOUND    equ     38
E_NOMODE        equ     39+E_EDIT
E_VALIDATION    equ     40
E_LENGTH        equ     41+E_EDIT
E_APPLICATION   equ     42+E_EDIT
E_AppErr1       equ     43+E_EDIT
E_AppErr2       equ     44+E_EDIT
E_EXPIREDAPP	equ	45
E_BADADDR	equ	46
E_Archived      equ     47+E_EDIT
E_Version       equ     48
E_ArchFull      equ     49
E_Variable      equ     50+E_EDIT
E_Duplicate     equ     51+E_EDIT
HigErrNum       equ     51


; obsolete error numbers34              ;first LINK error
E_LINKIOCHKSUM	equ	34
E_LINKIOTIMEOUT	equ	35
E_LINKIOBUSY	equ	36
E_LINKIOVER	equ	37

;
;
;
;       EQUATES TO RAM LOCATIONS FOR STAT VARS
;
;
FPLEN	EQU	9	;Length of a floating-point number.
STATN   EQU     STATVARS
XMEAN   EQU     STATN      + FPLEN
SUMX    EQU     XMEAN      + FPLEN
SUMXSQR EQU     SUMX       + FPLEN
STDX    EQU     SUMXSQR    + FPLEN
STDPX   EQU     STDX       + FPLEN
MINX    EQU     STDPX      + FPLEN
MAXX    EQU     MINX       + FPLEN
MINY    EQU     MAXX       + FPLEN
MAXY    EQU     MINY       + FPLEN
YMEAN   EQU     MAXY       + FPLEN
SUMY    EQU     YMEAN      + FPLEN
SUMYSQR EQU     SUMY       + FPLEN
STDY    EQU     SUMYSQR    + FPLEN
STDPY   EQU     STDY       + FPLEN
SUMXY   EQU     STDPY      + FPLEN
CORR    EQU     SUMXY      + FPLEN
MEDX    EQU     CORR       + FPLEN
Q1      EQU     MEDX       + FPLEN
Q3      EQU     Q1         + FPLEN
QUADA   EQU     Q3         + FPLEN
QUADB   EQU     QUADA      + FPLEN
QUADC   EQU     QUADB      + FPLEN
CUBED   EQU     QUADC      + FPLEN
QUARTE  EQU     CUBED      + FPLEN
MEDX1   EQU     QUARTE     + FPLEN
MEDX2   EQU     MEDX1      + FPLEN
MEDX3   EQU     MEDX2      + FPLEN
MEDY1   EQU     MEDX3      + FPLEN
MEDY2   EQU     MEDY1      + FPLEN
MEDY3   EQU     MEDY2      + FPLEN
;PSTAT   EQU     MEDY3      + 2*FPLEN
PSTAT = 0
ZSTAT   EQU     PSTAT      + FPLEN
TSTAT   EQU     ZSTAT      + FPLEN
CHISTAT EQU     TSTAT      + FPLEN
FSTAT   EQU     CHISTAT    + FPLEN
DF      EQU     FSTAT      + FPLEN
PHAT    EQU     DF         + FPLEN
PHAT1   EQU     PHAT       + FPLEN
PHAT2   EQU     PHAT1      + FPLEN
MEANX1  EQU     PHAT2      + FPLEN
STDX1   EQU     MEANX1     + FPLEN
STATN1  EQU     STDX1      + FPLEN
MEANX2  EQU     STATN1     + FPLEN
STDX2   EQU     MEANX2     + FPLEN
STATN2  EQU     STDX2      + FPLEN
STDXP2  EQU     STATN2     + FPLEN
SLOWER  EQU     STDXP2     + FPLEN
SUPPER  EQU     SLOWER     + FPLEN
SSTAT   EQU     SUPPER     + FPLEN

ANOVAF_VARS	EQU	8C17h
F_DF    EQU     ANOVAF_VARS
F_SS    EQU     F_DF + FPLEN
F_MS    EQU     F_SS + FPLEN
E_DF    EQU     F_MS + FPLEN
E_SS    EQU     E_DF + FPLEN
E_MS    EQU     E_SS + FPLEN

#endif

.end